diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9c34aebd9a..d166c81b35 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -43364,101 +43364,6 @@ (define-public rust-mysqlclient-sys-0.2
 libmysqlclient.")
     (license (list license:expat license:asl2.0))))
 
-(define-public rust-nanorand-0.7
-  (package
-    (name "rust-nanorand")
-    (version "0.7.0")
-    (source (origin
-              (method url-fetch)
-              (uri (crate-uri "nanorand" version))
-              (file-name (string-append name "-" version ".tar.gz"))
-              (sha256
-               (base32 "1hr60b8zlfy7mxjcwx2wfmhpkx7vfr3v9x12shmv1c10b0y32lba"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs
-       (("rust-getrandom" ,rust-getrandom-0.2)
-        ("rust-zeroize" ,rust-zeroize-1))
-       #:cargo-development-inputs
-       (("rust-hex" ,rust-hex-0.4))))
-    (home-page "https://github.com/Absolucy/nanorand-rs")
-    (synopsis "Tiny, fast, zero-dep library for random number generation")
-    (description
-     "This library is meant for fast, random number generation with
-quick compile time, and minimal dependencies.")
-    (license license:zlib)))
-
-(define-public rust-nanorand-0.5
-  (package
-    (inherit rust-nanorand-0.7)
-    (name "rust-nanorand")
-    (version "0.5.1")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "nanorand" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "1ryi6jdfsfij4di33f269099g7m32rlr7sv7j4pklnjcj2xxfwri"))))
-    (arguments
-     `(#:skip-build? #true              ;error with pre-release randomize
-       #:cargo-inputs
-       (("rust-getrandom" ,rust-getrandom-0.2)
-        ("rust-zeroize" ,rust-zeroize-1))
-       #:cargo-development-inputs
-       (("rust-criterion" ,rust-criterion-0.3)
-        ("rust-fastrand" ,rust-fastrand-1)
-        ("rust-hex" ,rust-hex-0.4)
-        ("rust-random-fast-rng" ,rust-random-fast-rng-0.1)
-        ("rust-randomize" ,rust-randomize-4))))))
-
-(define-public rust-nanorand-0.4
-  (package
-    (inherit rust-nanorand-0.5)
-    (name "rust-nanorand")
-    (version "0.4.4")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "nanorand" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "1ifpjgir1a6lw64jkb6la5hb8j5jvqq70nmxgzjj0cjf13jd3kys"))))
-    (arguments
-     `(#:skip-build? #true              ;error with pre-release randomize
-       #:cargo-inputs
-       (("rust-getrandom" ,rust-getrandom-0.2)
-        ("rust-zeroize" ,rust-zeroize-1))
-       #:cargo-development-inputs
-       (("rust-criterion" ,rust-criterion-0.3)
-        ("rust-fastrand" ,rust-fastrand-1)
-        ("rust-hex" ,rust-hex-0.4)
-        ("rust-random-fast-rng" ,rust-random-fast-rng-0.1)
-        ("rust-randomize" ,rust-randomize-4))))))
-
-(define-public rust-nasm-rs-0.2
-  (package
-    (name "rust-nasm-rs")
-    (version "0.2.0")
-    (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "nasm-rs" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1lgc3gg32hj4pcbfp07vzwy013smdm27469fyy4rqgyil3x46vx7"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:cargo-inputs
-        (("rust-arrayvec" ,rust-arrayvec-0.5)
-         ("rust-rayon" ,rust-rayon-1))))
-    (home-page "https://github.com/medek/nasm-rs")
-    (synopsis "Run NASM during your Cargo build")
-    (description "Run NASM during your Cargo build.")
-    (license (list license:expat license:asl2.0))))
-
 (define-public rust-nalgebra-0.32
   (package
     (name "rust-nalgebra")
@@ -43863,6 +43768,73 @@ (define-public rust-nalgebra-macros-0.1
        (("rust-nalgebra" ,rust-nalgebra-0.26)
         ("rust-trybuild" ,rust-trybuild-1))))))
 
+(define-public rust-nanorand-0.7
+  (package
+    (name "rust-nanorand")
+    (version "0.7.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "nanorand" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1hr60b8zlfy7mxjcwx2wfmhpkx7vfr3v9x12shmv1c10b0y32lba"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-getrandom" ,rust-getrandom-0.2)
+                       ("rust-zeroize" ,rust-zeroize-1))
+       #:cargo-development-inputs (("rust-hex" ,rust-hex-0.4))))
+    (home-page "https://github.com/Absolucy/nanorand-rs")
+    (synopsis "Tiny, fast, zero-dep library for random number generation")
+    (description
+     "This library is meant for fast, random number generation with
+quick compile time, and minimal dependencies.")
+    (license license:zlib)))
+
+(define-public rust-nanorand-0.5
+  (package
+    (inherit rust-nanorand-0.7)
+    (name "rust-nanorand")
+    (version "0.5.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "nanorand" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1ryi6jdfsfij4di33f269099g7m32rlr7sv7j4pklnjcj2xxfwri"))))
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-getrandom" ,rust-getrandom-0.2)
+                       ("rust-zeroize" ,rust-zeroize-1))
+       #:cargo-development-inputs (("rust-criterion" ,rust-criterion-0.3)
+                                   ("rust-fastrand" ,rust-fastrand-1)
+                                   ("rust-hex" ,rust-hex-0.4)
+                                   ("rust-random-fast-rng" ,rust-random-fast-rng-0.1)
+                                   ("rust-randomize" ,rust-randomize-4))))))
+
+(define-public rust-nanorand-0.4
+  (package
+    (inherit rust-nanorand-0.5)
+    (name "rust-nanorand")
+    (version "0.4.4")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "nanorand" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1ifpjgir1a6lw64jkb6la5hb8j5jvqq70nmxgzjj0cjf13jd3kys"))))
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-getrandom" ,rust-getrandom-0.2)
+                       ("rust-zeroize" ,rust-zeroize-1))
+       #:cargo-development-inputs (("rust-criterion" ,rust-criterion-0.3)
+                                   ("rust-fastrand" ,rust-fastrand-1)
+                                   ("rust-hex" ,rust-hex-0.4)
+                                   ("rust-random-fast-rng" ,rust-random-fast-rng-0.1)
+                                   ("rust-randomize" ,rust-randomize-4))))))
+
 (define-public rust-napi-2
   (package
     (name "rust-napi")
@@ -43992,6 +43964,26 @@ (define-public rust-napi-sys-2
     (description "This package provides a NodeJS N-API raw binding.")
     (license license:expat)))
 
+(define-public rust-nasm-rs-0.2
+  (package
+    (name "rust-nasm-rs")
+    (version "0.2.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "nasm-rs" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1lgc3gg32hj4pcbfp07vzwy013smdm27469fyy4rqgyil3x46vx7"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-arrayvec" ,rust-arrayvec-0.5)
+                       ("rust-rayon" ,rust-rayon-1))))
+    (home-page "https://github.com/medek/nasm-rs")
+    (synopsis "Run NASM during your Cargo build")
+    (description "Run NASM during your Cargo build.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-natord-1
   (package
     (name "rust-natord")