diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 607bb76de4..348f43ea1f 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -49620,118 +49620,117 @@ (define-public rust-os-str-bytes-2
          "11agh8n3x2l4sr3sxvx6byc1j3ryb1g6flb1ywn0qhq7xv1y3cmg"))))
     (arguments `(#:skip-build? #t))))
 
-(define-public rust-ouroboros-macro-0.17
+(define-public rust-ouroboros-0.17
   (package
-    (name "rust-ouroboros-macro")
+    (name "rust-ouroboros")
     (version "0.17.2")
     (source
      (origin
        (method url-fetch)
-       (uri (crate-uri "ouroboros_macro" version))
+       (uri (crate-uri "ouroboros" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "1y5nmgnng4i23g333cvp8p7j3i3438r9g85fq1wafk4vqqjn4k7c"))))
+        (base32 "0m69j8288k3b3iyblngdfgraahnk9d5maw5a5y4fmprr1lr0gfp2"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:cargo-inputs (("rust-heck" ,rust-heck-0.4)
-                       ("rust-proc-macro-error" ,rust-proc-macro-error-1)
-                       ("rust-proc-macro2" ,rust-proc-macro2-1)
-                       ("rust-quote" ,rust-quote-1)
-                       ("rust-syn" ,rust-syn-2))))
+     `(#:cargo-inputs (("rust-aliasable" ,rust-aliasable-0.1)
+                       ("rust-ouroboros-macro" ,rust-ouroboros-macro-0.17)
+                       ("rust-static-assertions" ,rust-static-assertions-1))))
     (home-page "https://github.com/someguynamedjosh/ouroboros")
-    (synopsis "Proc macro for ouroboros")
-    (description
-     "This package provides a proc macro for the @code{ouroboros} crate.")
+    (synopsis "Self-referential struct generation")
+    (description "Easy, safe self-referential struct generation for Rust.")
     (license (list license:expat license:asl2.0))))
 
-(define-public rust-ouroboros-macro-0.15
+(define-public rust-ouroboros-0.15
   (package
-    (inherit rust-ouroboros-macro-0.17)
-    (name "rust-ouroboros-macro")
+    (inherit rust-ouroboros-0.17)
+    (name "rust-ouroboros")
     (version "0.15.6")
     (source
      (origin
        (method url-fetch)
-       (uri (crate-uri "ouroboros_macro" version))
+       (uri (crate-uri "ouroboros" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "1dsn37vds4qpkzscmwaw17dv3m5m7a7j9qby8dsac19ks3622zaz"))))
+        (base32 "1nvjra9dana2g6kxv3397qrgpyw6lknzya6lzs1s1llbap8qndg1"))))
     (arguments
      `(#:cargo-inputs
-       (("rust-inflector" ,rust-inflector-0.11)
-        ("rust-proc-macro-error" ,rust-proc-macro-error-1)
-        ("rust-proc-macro2" ,rust-proc-macro2-1)
-        ("rust-quote" ,rust-quote-1)
-        ("rust-syn" ,rust-syn-1))))))
+       (("rust-aliasable" ,rust-aliasable-0.1)
+        ("rust-ouroboros-macro" ,rust-ouroboros-macro-0.15))))))
 
-(define-public rust-ouroboros-macro-0.14
+(define-public rust-ouroboros-0.14
   (package
-    (inherit rust-ouroboros-macro-0.15)
-    (name "rust-ouroboros-macro")
+    (inherit rust-ouroboros-0.15)
+    (name "rust-ouroboros")
     (version "0.14.0")
     (source
      (origin
        (method url-fetch)
-       (uri (crate-uri "ouroboros_macro" version))
+       (uri (crate-uri "ouroboros" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "11cav04x82liknlrv50lpl1i1ln2jw4isdqzdjnjsg0pcpvwik9r"))))))
+        (base32 "1ih1lna1d2is3a6aicmc7lpfhqmg046kssxpryk24kwg8j42ymh6"))))
+    (arguments
+     `(#:cargo-inputs
+       (("rust-aliasable" ,rust-aliasable-0.1)
+        ("rust-ouroboros-macro" ,rust-ouroboros-macro-0.14)
+        ("rust-stable-deref-trait" ,rust-stable-deref-trait-1))))))
 
-(define-public rust-ouroboros-0.17
+(define-public rust-ouroboros-macro-0.17
   (package
-    (name "rust-ouroboros")
+    (name "rust-ouroboros-macro")
     (version "0.17.2")
     (source
      (origin
        (method url-fetch)
-       (uri (crate-uri "ouroboros" version))
+       (uri (crate-uri "ouroboros_macro" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "0m69j8288k3b3iyblngdfgraahnk9d5maw5a5y4fmprr1lr0gfp2"))))
+        (base32 "1y5nmgnng4i23g333cvp8p7j3i3438r9g85fq1wafk4vqqjn4k7c"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:cargo-inputs (("rust-aliasable" ,rust-aliasable-0.1)
-                       ("rust-ouroboros-macro" ,rust-ouroboros-macro-0.17)
-                       ("rust-static-assertions" ,rust-static-assertions-1))))
+     `(#:cargo-inputs (("rust-heck" ,rust-heck-0.4)
+                       ("rust-proc-macro-error" ,rust-proc-macro-error-1)
+                       ("rust-proc-macro2" ,rust-proc-macro2-1)
+                       ("rust-quote" ,rust-quote-1)
+                       ("rust-syn" ,rust-syn-2))))
     (home-page "https://github.com/someguynamedjosh/ouroboros")
-    (synopsis "Self-referential struct generation")
-    (description "Easy, safe self-referential struct generation for Rust.")
+    (synopsis "Proc macro for ouroboros")
+    (description
+     "This package provides a proc macro for the @code{ouroboros} crate.")
     (license (list license:expat license:asl2.0))))
 
-(define-public rust-ouroboros-0.15
+(define-public rust-ouroboros-macro-0.15
   (package
-    (inherit rust-ouroboros-0.17)
-    (name "rust-ouroboros")
+    (inherit rust-ouroboros-macro-0.17)
+    (name "rust-ouroboros-macro")
     (version "0.15.6")
     (source
      (origin
        (method url-fetch)
-       (uri (crate-uri "ouroboros" version))
+       (uri (crate-uri "ouroboros_macro" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "1nvjra9dana2g6kxv3397qrgpyw6lknzya6lzs1s1llbap8qndg1"))))
+        (base32 "1dsn37vds4qpkzscmwaw17dv3m5m7a7j9qby8dsac19ks3622zaz"))))
     (arguments
-     `(#:cargo-inputs
-       (("rust-aliasable" ,rust-aliasable-0.1)
-        ("rust-ouroboros-macro" ,rust-ouroboros-macro-0.15))))))
+     `(#:cargo-inputs (("rust-inflector" ,rust-inflector-0.11)
+                       ("rust-proc-macro-error" ,rust-proc-macro-error-1)
+                       ("rust-proc-macro2" ,rust-proc-macro2-1)
+                       ("rust-quote" ,rust-quote-1)
+                       ("rust-syn" ,rust-syn-1))))))
 
-(define-public rust-ouroboros-0.14
+(define-public rust-ouroboros-macro-0.14
   (package
-    (inherit rust-ouroboros-0.15)
-    (name "rust-ouroboros")
+    (inherit rust-ouroboros-macro-0.15)
+    (name "rust-ouroboros-macro")
     (version "0.14.0")
     (source
      (origin
        (method url-fetch)
-       (uri (crate-uri "ouroboros" version))
+       (uri (crate-uri "ouroboros_macro" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "1ih1lna1d2is3a6aicmc7lpfhqmg046kssxpryk24kwg8j42ymh6"))))
-    (arguments
-     `(#:cargo-inputs
-       (("rust-aliasable" ,rust-aliasable-0.1)
-        ("rust-ouroboros-macro" ,rust-ouroboros-macro-0.14)
-        ("rust-stable-deref-trait" ,rust-stable-deref-trait-1))))))
+        (base32 "11cav04x82liknlrv50lpl1i1ln2jw4isdqzdjnjsg0pcpvwik9r"))))))
 
 (define-public rust-overload-0.1
   (package