diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index f532b66315..e670d3c0d2 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -36994,6 +36994,57 @@ (define-public rust-lewton-0.10
 source audio format.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-lexical-6
+  (package
+    (name "rust-lexical")
+    (version "6.1.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "lexical" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1xk8g6k17ml0sjyx388qck9zqhxjfyzjqx1l6c0ggzj3zlvgpbn7"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-lexical-core" ,rust-lexical-core-0.8))))
+    (home-page "https://github.com/Alexhuszagh/rust-lexical")
+    (synopsis "Lexical, to- and from-string conversion routines")
+    (description
+     "Lexical is high-performance numeric conversion routines for use in
+a no_std environment.  This does not depend on any standard library features,
+nor a system allocator.")
+    (license (list license:expat license:asl2.0))))
+
+(define-public rust-lexical-5
+  (package
+    (inherit rust-lexical-6)
+    (name "rust-lexical")
+    (version "5.2.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "lexical" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1r8lsi523h53kbb99xgv31jabwhcp4rzqd4hfazfhcjffh5aj17l"))))
+    (arguments
+     `(#:cargo-inputs
+       (("rust-cfg-if" ,rust-cfg-if-1)
+        ("rust-lexical-core" ,rust-lexical-core-0.7)
+        ("rust-rand" ,rust-rand-0.4)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-derive" ,rust-serde-derive-1)
+        ("rust-toml" ,rust-toml-0.5))
+       #:cargo-development-inputs
+       (("rust-approx" ,rust-approx-0.4)
+        ("rust-criterion" ,rust-criterion-0.3)
+        ("rust-dtoa" ,rust-dtoa-0.4)
+        ("rust-itoa" ,rust-itoa-0.4)
+        ("rust-lazy-static" ,rust-lazy-static-1)
+        ("rust-ryu" ,rust-ryu-1))))))
+
 (define-public rust-lexical-core-0.8
   (package
     (name "rust-lexical-core")
@@ -37166,57 +37217,6 @@ (define-public rust-lexical-write-integer-0.8
      "This crate provides efficient formatting of integers to strings.")
     (license (list license:expat license:asl2.0))))
 
-(define-public rust-lexical-6
-  (package
-    (name "rust-lexical")
-    (version "6.1.1")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "lexical" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "1xk8g6k17ml0sjyx388qck9zqhxjfyzjqx1l6c0ggzj3zlvgpbn7"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs
-       (("rust-lexical-core" ,rust-lexical-core-0.8))))
-    (home-page "https://github.com/Alexhuszagh/rust-lexical")
-    (synopsis "Lexical, to- and from-string conversion routines")
-    (description
-     "Lexical is high-performance numeric conversion routines for use in
-a no_std environment.  This does not depend on any standard library features,
-nor a system allocator.")
-    (license (list license:expat license:asl2.0))))
-
-(define-public rust-lexical-5
-  (package
-    (inherit rust-lexical-6)
-    (name "rust-lexical")
-    (version "5.2.2")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "lexical" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "1r8lsi523h53kbb99xgv31jabwhcp4rzqd4hfazfhcjffh5aj17l"))))
-    (arguments
-     `(#:cargo-inputs
-       (("rust-cfg-if" ,rust-cfg-if-1)
-        ("rust-lexical-core" ,rust-lexical-core-0.7)
-        ("rust-rand" ,rust-rand-0.4)
-        ("rust-serde" ,rust-serde-1)
-        ("rust-serde-derive" ,rust-serde-derive-1)
-        ("rust-toml" ,rust-toml-0.5))
-       #:cargo-development-inputs
-       (("rust-approx" ,rust-approx-0.4)
-        ("rust-criterion" ,rust-criterion-0.3)
-        ("rust-dtoa" ,rust-dtoa-0.4)
-        ("rust-itoa" ,rust-itoa-0.4)
-        ("rust-lazy-static" ,rust-lazy-static-1)
-        ("rust-ryu" ,rust-ryu-1))))))
-
 (define-public rust-lexiclean-0.0.1
   (package
     (name "rust-lexiclean")