diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 45fa63c8bc..21dc0a33bc 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -32175,140 +32175,6 @@ (define-public rust-hts-sys-2
     (description "This library provides Rust bindings to HTSlib.")
     (license license:expat)))
 
-(define-public rust-jwalk-0.8
-  (package
-    (name "rust-jwalk")
-    (version "0.8.1")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "jwalk" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "0miw0074ch6p89dbvrlnz9wp13rh7542cf1ak8bx4v1mcrsq8d97"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs
-       (("rust-crossbeam" ,rust-crossbeam-0.8)
-        ("rust-rayon" ,rust-rayon-1))
-       #:cargo-development-inputs
-       (("rust-criterion" ,rust-criterion-0.4)
-        ("rust-fs-extra" ,rust-fs-extra-1)
-        ("rust-ignore" ,rust-ignore-0.4)
-        ("rust-lazy-static" ,rust-lazy-static-1)
-        ("rust-num-cpus" ,rust-num-cpus-1)
-        ("rust-tempfile" ,rust-tempfile-3)
-        ("rust-walkdir" ,rust-walkdir-2))))
-    (home-page "https://github.com/byron/jwalk")
-    (synopsis
-     "Filesystem walk performed in parallel with streamed and sorted results")
-    (description
-     "Filesystem walk performed in parallel with streamed and sorted results.")
-    (license license:expat)))
-
-(define-public rust-koibumi-base32-0.0.2
-  (package
-    (name "rust-koibumi-base32")
-    (version "0.0.2")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "koibumi-base32" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "1frb232m6rw50ly8ijhsbllcqfif5kcma1l6hrgm5g22c3c3il94"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs
-       (("rust-lazy-static" ,rust-lazy-static-1))))
-    (home-page "https://kashiko.gitlab.io/koibumi-rust/")
-    (synopsis "Base32 encoder/decoder library")
-    (description "This package provides a Base32 encoder/decoder library.")
-    (license license:gpl3+)))
-
-(define-public rust-konst-0.2
-  (package
-    (name "rust-konst")
-    (version "0.2.19")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "konst" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "1x3lxxk9vjaiiaabngv7ki2bv9xi36gnqzjzi0s8qfs8wq9hw3rk"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs (("rust-konst-macro-rules" ,rust-konst-macro-rules-0.2)
-                       ("rust-konst-proc-macros" ,rust-konst-proc-macros-0.2)
-                       ("rust-trybuild" ,rust-trybuild-1))
-       #:cargo-development-inputs (("rust-rand" ,rust-rand-0.8))))
-    (home-page "https://github.com/rodrimati1992/konst/")
-    (synopsis
-     "Const equivalents of std functions, compile-time comparison, and parsing")
-    (description
-     "Const equivalents of std functions, compile-time comparison, and parsing.")
-    (license license:zlib)))
-
-(define-public rust-konst-macro-rules-0.2
-  (package
-    (name "rust-konst-macro-rules")
-    (version "0.2.19")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "konst_macro_rules" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "0dswja0dqcww4x3fwjnirc0azv2n6cazn8yv0kddksd8awzkz4x4"))))
-    (build-system cargo-build-system)
-    (home-page "https://github.com/rodrimati1992/konst/")
-    (synopsis "Implementation detail of the konst crate")
-    (description "Implementation detail of the konst crate.")
-    (license license:zlib)))
-
-(define-public rust-konst-proc-macros-0.2
-  (package
-    (name "rust-konst-proc-macros")
-    (version "0.2.11")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "konst_proc_macros" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "0dxp8mdh3q9d044ql203way4fgbc50n3j3pi2j1x2snlcaa10klq"))))
-    (build-system cargo-build-system)
-    (home-page "https://github.com/rodrimati1992/konst/")
-    (synopsis "Implementation detail of the @code{konst} crate")
-    (description "Implementation detail of the @code{konst} crate.")
-    (license license:zlib)))
-
-(define-public rust-kuchiki-0.8
-  (package
-    (name "rust-kuchiki")
-    (version "0.8.1")
-    (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "kuchiki" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "0n53hhscgf4az58nnbjfxlqz9k96h3f02c7fhbzpqdriw33fka0y"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-cssparser" ,rust-cssparser-0.27)
-         ("rust-html5ever" ,rust-html5ever-0.25)
-         ("rust-matches" ,rust-matches-0.1)
-         ("rust-selectors" ,rust-selectors-0.22))))
-    (home-page "https://github.com/SimonSapin/kuchiki")
-    (synopsis "HTML/XML tree manipulation library")
-    (description "A library for parsing and serializing HTML and XML documents
-and traversing, manipulating, and querying the document tree.")
-    (license license:expat)))
-
 (define-public rust-human-date-parser-0.1
   (package
     (name "rust-human-date-parser")
@@ -36205,6 +36071,35 @@ (define-public rust-juniper-codegen-0.14
 GraphQL.")
     (license license:bsd-2)))
 
+(define-public rust-jwalk-0.8
+  (package
+    (name "rust-jwalk")
+    (version "0.8.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "jwalk" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0miw0074ch6p89dbvrlnz9wp13rh7542cf1ak8bx4v1mcrsq8d97"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-crossbeam" ,rust-crossbeam-0.8)
+                       ("rust-rayon" ,rust-rayon-1))
+       #:cargo-development-inputs (("rust-criterion" ,rust-criterion-0.4)
+                                   ("rust-fs-extra" ,rust-fs-extra-1)
+                                   ("rust-ignore" ,rust-ignore-0.4)
+                                   ("rust-lazy-static" ,rust-lazy-static-1)
+                                   ("rust-num-cpus" ,rust-num-cpus-1)
+                                   ("rust-tempfile" ,rust-tempfile-3)
+                                   ("rust-walkdir" ,rust-walkdir-2))))
+    (home-page "https://github.com/byron/jwalk")
+    (synopsis
+     "Filesystem walk performed in parallel with streamed and sorted results")
+    (description
+     "Filesystem walk performed in parallel with streamed and sorted results.")
+    (license license:expat)))
+
 (define-public rust-k9-0.12
   (package
     (name "rust-k9")
@@ -36341,6 +36236,83 @@ (define-public rust-khronos-api-3
      "The Khronos XML API Registry, exposed as byte string constants.")
     (license license:asl2.0)))
 
+(define-public rust-koibumi-base32-0.0.2
+  (package
+    (name "rust-koibumi-base32")
+    (version "0.0.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "koibumi-base32" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1frb232m6rw50ly8ijhsbllcqfif5kcma1l6hrgm5g22c3c3il94"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-lazy-static" ,rust-lazy-static-1))))
+    (home-page "https://kashiko.gitlab.io/koibumi-rust/")
+    (synopsis "Base32 encoder/decoder library")
+    (description "This package provides a Base32 encoder/decoder library.")
+    (license license:gpl3+)))
+
+(define-public rust-konst-0.2
+  (package
+    (name "rust-konst")
+    (version "0.2.19")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "konst" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1x3lxxk9vjaiiaabngv7ki2bv9xi36gnqzjzi0s8qfs8wq9hw3rk"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-konst-macro-rules" ,rust-konst-macro-rules-0.2)
+                       ("rust-konst-proc-macros" ,rust-konst-proc-macros-0.2)
+                       ("rust-trybuild" ,rust-trybuild-1))
+       #:cargo-development-inputs (("rust-rand" ,rust-rand-0.8))))
+    (home-page "https://github.com/rodrimati1992/konst/")
+    (synopsis
+     "Const equivalents of std functions, compile-time comparison, and parsing")
+    (description
+     "Const equivalents of std functions, compile-time comparison, and parsing.")
+    (license license:zlib)))
+
+(define-public rust-konst-macro-rules-0.2
+  (package
+    (name "rust-konst-macro-rules")
+    (version "0.2.19")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "konst_macro_rules" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0dswja0dqcww4x3fwjnirc0azv2n6cazn8yv0kddksd8awzkz4x4"))))
+    (build-system cargo-build-system)
+    (home-page "https://github.com/rodrimati1992/konst/")
+    (synopsis "Implementation detail of the konst crate")
+    (description "Implementation detail of the konst crate.")
+    (license license:zlib)))
+
+(define-public rust-konst-proc-macros-0.2
+  (package
+    (name "rust-konst-proc-macros")
+    (version "0.2.11")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "konst_proc_macros" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0dxp8mdh3q9d044ql203way4fgbc50n3j3pi2j1x2snlcaa10klq"))))
+    (build-system cargo-build-system)
+    (home-page "https://github.com/rodrimati1992/konst/")
+    (synopsis "Implementation detail of the @code{konst} crate")
+    (description "Implementation detail of the @code{konst} crate.")
+    (license license:zlib)))
+
 (define-public rust-kqueue-1
   (package
     (name "rust-kqueue")
@@ -36412,6 +36384,31 @@ (define-public rust-kstring-2
     (description "Key String provides a Rust package optimized for map keys.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-kuchiki-0.8
+  (package
+    (name "rust-kuchiki")
+    (version "0.8.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "kuchiki" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0n53hhscgf4az58nnbjfxlqz9k96h3f02c7fhbzpqdriw33fka0y"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-cssparser" ,rust-cssparser-0.27)
+                       ("rust-html5ever" ,rust-html5ever-0.25)
+                       ("rust-matches" ,rust-matches-0.1)
+                       ("rust-selectors" ,rust-selectors-0.22))))
+    (home-page "https://github.com/SimonSapin/kuchiki")
+    (synopsis "HTML/XML tree manipulation library")
+    (description
+     "A library for parsing and serializing HTML and XML documents
+and traversing, manipulating, and querying the document tree.")
+    (license license:expat)))
+
 (define-public rust-kv-log-macro-1
   (package
     (name "rust-kv-log-macro")