diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 6d5b29451f..5138cc42f2 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -38576,6 +38576,155 @@ (define-public rust-libsqlite3-sys-0.20
         ("rust-pkg-config" ,rust-pkg-config-0.3)
         ("rust-vcpkg" ,rust-vcpkg-0.2))))))
 
+(define-public rust-libssh2-sys-0.3
+  (package
+    (name "rust-libssh2-sys")
+    (version "0.3.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "libssh2-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1vkidqw5ll71ynqc93hgcq62iqkklzb5268zffd13ql7nwqa1j1d"))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin (delete-file-recursively "libssh2")))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-cc" ,rust-cc-1)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-libz-sys" ,rust-libz-sys-1)
+        ("rust-openssl-sys" ,rust-openssl-sys-0.9)
+        ("rust-pkg-config" ,rust-pkg-config-0.3)
+        ("rust-vcpkg" ,rust-vcpkg-0.2))))
+    (native-inputs
+     (list pkg-config))
+    (inputs
+     (list libssh2 openssl zlib))
+    (home-page "https://github.com/alexcrichton/ssh2-rs")
+    (synopsis "Native bindings to the libssh2 library")
+    (description
+     "This package provides native rust bindings to the @code{libssh2} library.")
+    (license (list license:expat license:asl2.0))))
+
+(define-public rust-libssh2-sys-0.2
+  (package
+    (inherit rust-libssh2-sys-0.3)
+    (name "rust-libssh2-sys")
+    (version "0.2.19")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "libssh2-sys" version))
+        (file-name (string-append name "-" version ".tar.gz"))
+        (sha256
+         (base32 "0mkhw4pksbz7gldj8hia7k6npc479n1x09i8r0pm275sac424ina"))
+        (modules '((guix build utils)))
+        (snippet
+         '(begin (delete-file-recursively "libssh2") #t))))
+    (arguments
+     `(#:cargo-inputs
+       (("rust-libc" ,rust-libc-0.2)
+        ("rust-libz-sys" ,rust-libz-sys-1)
+        ("rust-openssl-sys" ,rust-openssl-sys-0.9)
+        ;; Build dependencies:
+        ("rust-cc" ,rust-cc-1)
+        ("rust-pkg-config" ,rust-pkg-config-0.3)
+        ("rust-vcpkg" ,rust-vcpkg-0.2))))))
+
+(define-public rust-libtest-mimic-0.7
+  (package
+    (name "rust-libtest-mimic")
+    (version "0.7.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "libtest-mimic" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "02y7l5bcwli37hl625bp6l0m95mry8cavwj3nkl55zgc8iplq3vz"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-clap" ,rust-clap-4)
+                       ("rust-escape8259" ,rust-escape8259-0.5)
+                       ("rust-termcolor" ,rust-termcolor-1)
+                       ("rust-threadpool" ,rust-threadpool-1))
+       #:cargo-development-inputs
+       (("rust-fastrand" ,rust-fastrand-1)
+        ("rust-pretty-assertions" ,rust-pretty-assertions-1))))
+    (home-page "https://github.com/LukasKalbertodt/libtest-mimic")
+    (synopsis "Tools for writing a test harness")
+    (description
+     "Write your own test harness that looks and behaves like the built-in test
+harness used by @code{rustc --test}.")
+    (license (list license:expat license:asl2.0))))
+
+(define-public rust-libtest-mimic-0.6
+  (package
+    (inherit rust-libtest-mimic-0.7)
+    (name "rust-libtest-mimic")
+    (version "0.6.1")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "libtest-mimic" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                 "1rwwdrzc5hmfisc9c3zcvnab14rgh0zfa636c2jbhv4az5qf73bd"))))
+    (arguments
+     `(#:cargo-inputs
+       (("rust-clap" ,rust-clap-4)
+        ("rust-termcolor" ,rust-termcolor-1)
+        ("rust-threadpool" ,rust-threadpool-1))
+       #:cargo-development-inputs
+       (("rust-fastrand" ,rust-fastrand-1)
+        ("rust-pretty-assertions" ,rust-pretty-assertions-1))))))
+
+(define-public rust-libtest-mimic-0.5
+  (package
+    (inherit rust-libtest-mimic-0.6)
+    (name "rust-libtest-mimic")
+    (version "0.5.2")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "libtest-mimic" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "1v103c90ibs35ffr9mww9h5la3b7xxvil32v6x0szxcqq9wr8lkr"))))
+    (arguments
+     `(#:cargo-test-flags
+       '("--release" "--"
+         "--skip=terse_output")
+       #:cargo-inputs
+       (("rust-clap" ,rust-clap-3)
+        ("rust-termcolor" ,rust-termcolor-1)
+        ("rust-threadpool" ,rust-threadpool-1))
+       #:cargo-development-inputs
+       (("rust-fastrand" ,rust-fastrand-1)
+        ("rust-pretty-assertions" ,rust-pretty-assertions-1))))))
+
+(define-public rust-libtest-mimic-0.3
+  (package
+    (inherit rust-libtest-mimic-0.5)
+    (name "rust-libtest-mimic")
+    (version "0.3.0")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "libtest-mimic" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "1bp2jllwpciljr14g6s9bk4835g46kszgrjwi66vxxsk3ynbi9q8"))))
+    (arguments
+     `(#:cargo-inputs
+       (("rust-crossbeam-channel" ,rust-crossbeam-channel-0.4)
+        ("rust-rayon" ,rust-rayon-1)
+        ("rust-structopt" ,rust-structopt-0.3)
+        ("rust-termcolor" ,rust-termcolor-1))))))
+
 (define-public rust-libxml-0.3
   (package
     (name "rust-libxml")
@@ -39015,155 +39164,6 @@ (define-public rust-linux-raw-sys-0.0.46
            `(("rust-libc" ,rust-libc-0.2)
              ("rust-static-assertions" ,rust-static-assertions-1))))))
 
-(define-public rust-libssh2-sys-0.3
-  (package
-    (name "rust-libssh2-sys")
-    (version "0.3.0")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "libssh2-sys" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "1vkidqw5ll71ynqc93hgcq62iqkklzb5268zffd13ql7nwqa1j1d"))
-       (modules '((guix build utils)))
-       (snippet
-        '(begin (delete-file-recursively "libssh2")))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs
-       (("rust-cc" ,rust-cc-1)
-        ("rust-libc" ,rust-libc-0.2)
-        ("rust-libz-sys" ,rust-libz-sys-1)
-        ("rust-openssl-sys" ,rust-openssl-sys-0.9)
-        ("rust-pkg-config" ,rust-pkg-config-0.3)
-        ("rust-vcpkg" ,rust-vcpkg-0.2))))
-    (native-inputs
-     (list pkg-config))
-    (inputs
-     (list libssh2 openssl zlib))
-    (home-page "https://github.com/alexcrichton/ssh2-rs")
-    (synopsis "Native bindings to the libssh2 library")
-    (description
-     "This package provides native rust bindings to the @code{libssh2} library.")
-    (license (list license:expat license:asl2.0))))
-
-(define-public rust-libssh2-sys-0.2
-  (package
-    (inherit rust-libssh2-sys-0.3)
-    (name "rust-libssh2-sys")
-    (version "0.2.19")
-    (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "libssh2-sys" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32 "0mkhw4pksbz7gldj8hia7k6npc479n1x09i8r0pm275sac424ina"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin (delete-file-recursively "libssh2") #t))))
-    (arguments
-     `(#:cargo-inputs
-       (("rust-libc" ,rust-libc-0.2)
-        ("rust-libz-sys" ,rust-libz-sys-1)
-        ("rust-openssl-sys" ,rust-openssl-sys-0.9)
-        ;; Build dependencies:
-        ("rust-cc" ,rust-cc-1)
-        ("rust-pkg-config" ,rust-pkg-config-0.3)
-        ("rust-vcpkg" ,rust-vcpkg-0.2))))))
-
-(define-public rust-libtest-mimic-0.7
-  (package
-    (name "rust-libtest-mimic")
-    (version "0.7.0")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "libtest-mimic" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "02y7l5bcwli37hl625bp6l0m95mry8cavwj3nkl55zgc8iplq3vz"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs (("rust-clap" ,rust-clap-4)
-                       ("rust-escape8259" ,rust-escape8259-0.5)
-                       ("rust-termcolor" ,rust-termcolor-1)
-                       ("rust-threadpool" ,rust-threadpool-1))
-       #:cargo-development-inputs
-       (("rust-fastrand" ,rust-fastrand-1)
-        ("rust-pretty-assertions" ,rust-pretty-assertions-1))))
-    (home-page "https://github.com/LukasKalbertodt/libtest-mimic")
-    (synopsis "Tools for writing a test harness")
-    (description
-     "Write your own test harness that looks and behaves like the built-in test
-harness used by @code{rustc --test}.")
-    (license (list license:expat license:asl2.0))))
-
-(define-public rust-libtest-mimic-0.6
-  (package
-    (inherit rust-libtest-mimic-0.7)
-    (name "rust-libtest-mimic")
-    (version "0.6.1")
-    (source (origin
-              (method url-fetch)
-              (uri (crate-uri "libtest-mimic" version))
-              (file-name (string-append name "-" version ".tar.gz"))
-              (sha256
-               (base32
-                 "1rwwdrzc5hmfisc9c3zcvnab14rgh0zfa636c2jbhv4az5qf73bd"))))
-    (arguments
-     `(#:cargo-inputs
-       (("rust-clap" ,rust-clap-4)
-        ("rust-termcolor" ,rust-termcolor-1)
-        ("rust-threadpool" ,rust-threadpool-1))
-       #:cargo-development-inputs
-       (("rust-fastrand" ,rust-fastrand-1)
-        ("rust-pretty-assertions" ,rust-pretty-assertions-1))))))
-
-(define-public rust-libtest-mimic-0.5
-  (package
-    (inherit rust-libtest-mimic-0.6)
-    (name "rust-libtest-mimic")
-    (version "0.5.2")
-    (source (origin
-              (method url-fetch)
-              (uri (crate-uri "libtest-mimic" version))
-              (file-name (string-append name "-" version ".tar.gz"))
-              (sha256
-               (base32
-                "1v103c90ibs35ffr9mww9h5la3b7xxvil32v6x0szxcqq9wr8lkr"))))
-    (arguments
-     `(#:cargo-test-flags
-       '("--release" "--"
-         "--skip=terse_output")
-       #:cargo-inputs
-       (("rust-clap" ,rust-clap-3)
-        ("rust-termcolor" ,rust-termcolor-1)
-        ("rust-threadpool" ,rust-threadpool-1))
-       #:cargo-development-inputs
-       (("rust-fastrand" ,rust-fastrand-1)
-        ("rust-pretty-assertions" ,rust-pretty-assertions-1))))))
-
-(define-public rust-libtest-mimic-0.3
-  (package
-    (inherit rust-libtest-mimic-0.5)
-    (name "rust-libtest-mimic")
-    (version "0.3.0")
-    (source (origin
-              (method url-fetch)
-              (uri (crate-uri "libtest-mimic" version))
-              (file-name (string-append name "-" version ".tar.gz"))
-              (sha256
-               (base32
-                "1bp2jllwpciljr14g6s9bk4835g46kszgrjwi66vxxsk3ynbi9q8"))))
-    (arguments
-     `(#:cargo-inputs
-       (("rust-crossbeam-channel" ,rust-crossbeam-channel-0.4)
-        ("rust-rayon" ,rust-rayon-1)
-        ("rust-structopt" ,rust-structopt-0.3)
-        ("rust-termcolor" ,rust-termcolor-1))))))
-
 (define-public rust-listenfd-1
   (package
     (name "rust-listenfd")