diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 5626623902..7f648bf66f 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -34691,73 +34691,6 @@ (define-public rust-iovec-0.1
     (license (list license:asl2.0
                    license:expat))))
 
-(define-public rust-iri-string-0.7
-  (package
-    (name "rust-iri-string")
-    (version "0.7.0")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "iri-string" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "1h07hkfkkjjvgzlaqpr5fia7hrgv7qxqdw4xrpdc3936gmk9p191"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs (("rust-memchr" ,rust-memchr-2)
-                       ("rust-serde" ,rust-serde-1))
-       #:cargo-development-inputs (("rust-serde-test" ,rust-serde-test-1))))
-    (home-page "https://github.com/lo48576/iri-string")
-    (synopsis "IRI as string types")
-    (description
-      "This package provides string types for @acronym{IRIs, Internationalized
-Resource Identifiers} and @acronym{URIs, Uniform Resource Identifiers}.")
-    (license (list license:expat license:asl2.0))))
-
-(define-public rust-is-ci-1
-  (package
-    (name "rust-is-ci")
-    (version "1.2.0")
-    (source (origin
-              (method url-fetch)
-              (uri (crate-uri "is_ci" version))
-              (file-name (string-append name "-" version ".tar.gz"))
-              (sha256
-               (base32
-                "0ifwvxmrsj4r29agfzr71bjq6y1bihkx38fbzafq5vl0jn1wjmbn"))))
-    (build-system cargo-build-system)
-    (home-page "https://github.com/zkat/is_ci")
-    (synopsis "Lightweight CI environment checker")
-    (description
-     "Super lightweight CI environment checker.  Just tells you if you're in CI
-or not without much fuss.")
-    (license license:isc)))
-
-(define-public rust-is-macro-0.1
-  (package
-    (name "rust-is-macro")
-    (version "0.1.9")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "is-macro" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "0pq1x1r8pk6fv0qf9vpxw60jw2jg3961nm1gv71j5qv0v4bds8m3"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs
-       (("rust-inflector" ,rust-inflector-0.11)
-        ("rust-pmutil" ,rust-pmutil-0.5)
-        ("rust-proc-macro2" ,rust-proc-macro2-1)
-        ("rust-quote" ,rust-quote-1)
-        ("rust-syn" ,rust-syn-1))))
-    (home-page "https://github.com/kdy1/is-macro")
-    (synopsis "Create methods to use custom enum like Option/Result")
-    (description "This package lets you easily create methods to use a custom
-enum like Option/Result.")
-    (license license:expat)))
-
 (define-public rust-ipnet-2
   (package
     (name "rust-ipnet")
@@ -34872,6 +34805,48 @@ (define-public rust-iptables-0.5
     (description "Rust bindings for iptables.")
     (license license:expat)))
 
+(define-public rust-iri-string-0.7
+  (package
+    (name "rust-iri-string")
+    (version "0.7.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "iri-string" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1h07hkfkkjjvgzlaqpr5fia7hrgv7qxqdw4xrpdc3936gmk9p191"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-memchr" ,rust-memchr-2)
+                       ("rust-serde" ,rust-serde-1))
+       #:cargo-development-inputs (("rust-serde-test" ,rust-serde-test-1))))
+    (home-page "https://github.com/lo48576/iri-string")
+    (synopsis "IRI as string types")
+    (description
+      "This package provides string types for @acronym{IRIs, Internationalized
+Resource Identifiers} and @acronym{URIs, Uniform Resource Identifiers}.")
+    (license (list license:expat license:asl2.0))))
+
+(define-public rust-is-ci-1
+  (package
+    (name "rust-is-ci")
+    (version "1.2.0")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "is_ci" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "0ifwvxmrsj4r29agfzr71bjq6y1bihkx38fbzafq5vl0jn1wjmbn"))))
+    (build-system cargo-build-system)
+    (home-page "https://github.com/zkat/is_ci")
+    (synopsis "Lightweight CI environment checker")
+    (description
+     "Super lightweight CI environment checker.  Just tells you if you're in CI
+or not without much fuss.")
+    (license license:isc)))
+
 (define-public rust-is-debug-1
   (package
     (name "rust-is-debug")
@@ -34934,6 +34909,31 @@ (define-public rust-is-executable-1
 whether or not a given path points to an executable file.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-is-macro-0.1
+  (package
+    (name "rust-is-macro")
+    (version "0.1.9")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "is-macro" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0pq1x1r8pk6fv0qf9vpxw60jw2jg3961nm1gv71j5qv0v4bds8m3"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-inflector" ,rust-inflector-0.11)
+        ("rust-pmutil" ,rust-pmutil-0.5)
+        ("rust-proc-macro2" ,rust-proc-macro2-1)
+        ("rust-quote" ,rust-quote-1)
+        ("rust-syn" ,rust-syn-1))))
+    (home-page "https://github.com/kdy1/is-macro")
+    (synopsis "Create methods to use custom enum like Option/Result")
+    (description "This package lets you easily create methods to use a custom
+enum like Option/Result.")
+    (license license:expat)))
+
 (define-public rust-is-terminal-0.4
   (package
     (name "rust-is-terminal")