diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 00ae3036da..37aad64c01 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -36205,6 +36205,68 @@ (define-public rust-juniper-0.14
 debugging.")
     (license license:bsd-2)))
 
+(define-public rust-k9-0.12
+  (package
+    (name "rust-k9")
+    (version "0.12.0")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "k9" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "056ngrvyla95qj737h7xjw5ja697h07mpw6pci5v3cb8bfxwx2q8"))
+              (snippet
+               #~(begin (use-modules (guix build utils))
+                        (substitute* "Cargo.toml"
+                          ;; k9@0.11.7 was yanked by upstream, provide 0.11.6.
+                          (("0\\.11\\.7") "0.11.6"))))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-anyhow" ,rust-anyhow-1)
+                       ("rust-colored" ,rust-colored-2)
+                       ("rust-diff" ,rust-diff-0.1)
+                       ("rust-lazy-static" ,rust-lazy-static-1)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-proc-macro2" ,rust-proc-macro2-1)
+                       ("rust-regex" ,rust-regex-1)
+                       ("rust-syn" ,rust-syn-2)
+                       ("rust-terminal-size" ,rust-terminal-size-0.2))
+       #:cargo-development-inputs
+       (("rust-derive-builder" ,rust-derive-builder-0.9)
+        ("rust-k9" ,rust-k9-0.11)
+        ("rust-rand" ,rust-rand-0.7)
+        ("rust-sha2" ,rust-sha2-0.9)
+        ("rust-strip-ansi-escapes" ,rust-strip-ansi-escapes-0.1))))
+    (home-page "https://github.com/aaronabramov/k9")
+    (synopsis "Testing library")
+    (description "This package contains helper macros for writing unit tests.")
+    (license license:expat)))
+
+(define-public rust-k9-0.11
+  (package
+    (inherit rust-k9-0.12)
+    (name "rust-k9")
+    (version "0.11.6")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "k9" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "1a8pxz6fygqzknxdlb4l835kqxgjk7snm4bjhhhn783r025vbp9j"))))
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-anyhow" ,rust-anyhow-1)
+                       ("rust-colored" ,rust-colored-1)
+                       ("rust-diff" ,rust-diff-0.1)
+                       ("rust-lazy-static" ,rust-lazy-static-1)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-proc-macro2" ,rust-proc-macro2-1)
+                       ("rust-regex" ,rust-regex-1)
+                       ("rust-syn" ,rust-syn-1)
+                       ("rust-term-size" ,rust-term-size-0.3))))))
+
 (define-public rust-keccak-0.1
   (package
     (name "rust-keccak")
@@ -36373,68 +36435,6 @@ (define-public rust-kv-log-macro-1
      "This package provides a Log macro for log's kv-unstable backend.")
     (license (list license:expat license:asl2.0))))
 
-(define-public rust-k9-0.12
-  (package
-    (name "rust-k9")
-    (version "0.12.0")
-    (source (origin
-              (method url-fetch)
-              (uri (crate-uri "k9" version))
-              (file-name (string-append name "-" version ".tar.gz"))
-              (sha256
-               (base32
-                "056ngrvyla95qj737h7xjw5ja697h07mpw6pci5v3cb8bfxwx2q8"))
-              (snippet
-               #~(begin (use-modules (guix build utils))
-                        (substitute* "Cargo.toml"
-                          ;; k9@0.11.7 was yanked by upstream, provide 0.11.6.
-                          (("0\\.11\\.7") "0.11.6"))))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs (("rust-anyhow" ,rust-anyhow-1)
-                       ("rust-colored" ,rust-colored-2)
-                       ("rust-diff" ,rust-diff-0.1)
-                       ("rust-lazy-static" ,rust-lazy-static-1)
-                       ("rust-libc" ,rust-libc-0.2)
-                       ("rust-proc-macro2" ,rust-proc-macro2-1)
-                       ("rust-regex" ,rust-regex-1)
-                       ("rust-syn" ,rust-syn-2)
-                       ("rust-terminal-size" ,rust-terminal-size-0.2))
-       #:cargo-development-inputs
-       (("rust-derive-builder" ,rust-derive-builder-0.9)
-        ("rust-k9" ,rust-k9-0.11)
-        ("rust-rand" ,rust-rand-0.7)
-        ("rust-sha2" ,rust-sha2-0.9)
-        ("rust-strip-ansi-escapes" ,rust-strip-ansi-escapes-0.1))))
-    (home-page "https://github.com/aaronabramov/k9")
-    (synopsis "Testing library")
-    (description "This package contains helper macros for writing unit tests.")
-    (license license:expat)))
-
-(define-public rust-k9-0.11
-  (package
-    (inherit rust-k9-0.12)
-    (name "rust-k9")
-    (version "0.11.6")
-    (source (origin
-              (method url-fetch)
-              (uri (crate-uri "k9" version))
-              (file-name (string-append name "-" version ".tar.gz"))
-              (sha256
-               (base32
-                "1a8pxz6fygqzknxdlb4l835kqxgjk7snm4bjhhhn783r025vbp9j"))))
-    (arguments
-     `(#:skip-build? #t
-       #:cargo-inputs (("rust-anyhow" ,rust-anyhow-1)
-                       ("rust-colored" ,rust-colored-1)
-                       ("rust-diff" ,rust-diff-0.1)
-                       ("rust-lazy-static" ,rust-lazy-static-1)
-                       ("rust-libc" ,rust-libc-0.2)
-                       ("rust-proc-macro2" ,rust-proc-macro2-1)
-                       ("rust-regex" ,rust-regex-1)
-                       ("rust-syn" ,rust-syn-1)
-                       ("rust-term-size" ,rust-term-size-0.3))))))
-
 (define-public rust-lab-0.11
   (package
     (name "rust-lab")