diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 4576a80908..a86097bce1 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -30860,6 +30860,29 @@ (define-public rust-halfbrown-0.2
 higher performance on different key space sizes.")
     (license (list license:asl2.0 license:expat))))
 
+(define-public rust-hamcrest2-0.3
+  (package
+    (name "rust-hamcrest2")
+    (version "0.3.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "hamcrest2" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0x8hx7jyzz2bl0wf6nir62imd26yhp6qcr7zf76cjpg05p33gy29"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-num" ,rust-num-0.2)
+        ("rust-regex" ,rust-regex-1))))
+    (home-page "https://github.com/Valloric/hamcrest2-rust")
+    (synopsis "Rust port of the Hamcrest testing library")
+    (description
+     "This package provides a port of the Hamcrest testing library.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-handlebars-5
   (package
     (name "rust-handlebars")
@@ -30927,50 +30950,6 @@ (define-public rust-handlebars-4
                                    ("rust-tiny-http" ,rust-tiny-http-0.11))))
     (native-inputs (list protobuf))))
 
-(define-public rust-home-0.5
-  (package
-    (name "rust-home")
-    (version "0.5.9")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "home" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "19grxyg35rqfd802pcc9ys1q3lafzlcjcv2pl2s5q8xpyr5kblg3"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs (("rust-windows-sys" ,rust-windows-sys-0.52))))
-    (home-page "https://github.com/rust-lang/cargo")
-    (synopsis "Shared definitions of home directories")
-    (description "This package provides the definition of @code{home_dir}
-used by @command{cargo} and @command{rustup}, as well as functions to find the
-correct value of @samp{CARGO_HOME} and @samp{RUSTUP_HOME}.")
-    (license (list license:expat license:asl2.0))))
-
-(define-public rust-hamcrest2-0.3
-  (package
-    (name "rust-hamcrest2")
-    (version "0.3.0")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "hamcrest2" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "0x8hx7jyzz2bl0wf6nir62imd26yhp6qcr7zf76cjpg05p33gy29"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:skip-build? #t
-       #:cargo-inputs
-       (("rust-num" ,rust-num-0.2)
-        ("rust-regex" ,rust-regex-1))))
-    (home-page "https://github.com/Valloric/hamcrest2-rust")
-    (synopsis "Rust port of the Hamcrest testing library")
-    (description
-     "This package provides a port of the Hamcrest testing library.")
-    (license (list license:expat license:asl2.0))))
-
 (define-public rust-hash-hasher-2
   (package
     (name "rust-hash-hasher")
@@ -31917,6 +31896,28 @@ (define-public rust-hexf-parse-0.1
        (sha256
         (base32 "1b2h0lvksn8748764x46729ygpz8grack24spin0k29ssmr6yabr"))))))
 
+(define-public rust-home-0.5
+  (package
+    (name "rust-home")
+    (version "0.5.9")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "home" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "19grxyg35rqfd802pcc9ys1q3lafzlcjcv2pl2s5q8xpyr5kblg3"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-windows-sys" ,rust-windows-sys-0.52))))
+    (home-page "https://github.com/rust-lang/cargo")
+    (synopsis "Shared definitions of home directories")
+    (description
+     "This package provides the definition of @code{home_dir}
+used by @command{cargo} and @command{rustup}, as well as functions to find the
+correct value of @samp{CARGO_HOME} and @samp{RUSTUP_HOME}.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-hostname-0.3
   (package
     (name "rust-hostname")