diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 753c3edba1..cce5da656b 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -7507,56 +7507,6 @@ (define-public rust-bindgen-0.53
         ("rust-diff" ,rust-diff-0.1)
         ("rust-shlex" ,rust-shlex-0.1))))))
 
-(define-public rust-bio-types-1
-  (package
-    (name "rust-bio-types")
-    (version "1.0.1")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "bio-types" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "0jmad6knx576mmz9djnqz4kldzql9mqvzs95202hh67jhydp8icx"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs (("rust-clap" ,rust-clap-4)
-                       ("rust-derive-new" ,rust-derive-new-0.5)
-                       ("rust-lazy-static" ,rust-lazy-static-1)
-                       ("rust-petgraph" ,rust-petgraph-0.6)
-                       ("rust-regex" ,rust-regex-1)
-                       ("rust-serde" ,rust-serde-1)
-                       ("rust-strum-macros" ,rust-strum-macros-0.24)
-                       ("rust-thiserror" ,rust-thiserror-1))))
-    (home-page "https://rust-bio.github.io")
-    (synopsis "Common biomedical types for use in rust-bio and rust-htslib")
-    (description
-     "This package provides a collection of common biomedical types for use in
-rust-bio and rust-htslib.")
-    (license license:expat)))
-
-(define-public rust-bio-types-0.12
-  (package
-    (inherit rust-bio-types-1)
-    (name "rust-bio-types")
-    (version "0.12.1")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "bio-types" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "1dmcjwky9fszmwwg7ywv52xhz93zibsgl7nj9x7gadvz8yb45g0k"))))
-    (arguments
-     `(#:cargo-inputs
-       (("rust-derive-new" ,rust-derive-new-0.5)
-        ("rust-lazy-static" ,rust-lazy-static-1)
-        ("rust-petgraph" ,rust-petgraph-0.6)
-        ("rust-regex" ,rust-regex-1)
-        ("rust-serde" ,rust-serde-1)
-        ("rust-strum-macros" ,rust-strum-macros-0.21)
-        ("rust-thiserror" ,rust-thiserror-1))))))
-
 (define-public rust-bio-1
   (package
     (name "rust-bio")
@@ -7767,6 +7717,55 @@ (define-public rust-bio-0.41
         ("rust-rand" ,rust-rand-0.8)
         ("rust-tempfile" ,rust-tempfile-3))))))
 
+(define-public rust-bio-types-1
+  (package
+    (name "rust-bio-types")
+    (version "1.0.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bio-types" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0jmad6knx576mmz9djnqz4kldzql9mqvzs95202hh67jhydp8icx"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-clap" ,rust-clap-4)
+                       ("rust-derive-new" ,rust-derive-new-0.5)
+                       ("rust-lazy-static" ,rust-lazy-static-1)
+                       ("rust-petgraph" ,rust-petgraph-0.6)
+                       ("rust-regex" ,rust-regex-1)
+                       ("rust-serde" ,rust-serde-1)
+                       ("rust-strum-macros" ,rust-strum-macros-0.24)
+                       ("rust-thiserror" ,rust-thiserror-1))))
+    (home-page "https://rust-bio.github.io")
+    (synopsis "Common biomedical types for use in rust-bio and rust-htslib")
+    (description
+     "This package provides a collection of common biomedical types for use in
+rust-bio and rust-htslib.")
+    (license license:expat)))
+
+(define-public rust-bio-types-0.12
+  (package
+    (inherit rust-bio-types-1)
+    (name "rust-bio-types")
+    (version "0.12.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bio-types" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1dmcjwky9fszmwwg7ywv52xhz93zibsgl7nj9x7gadvz8yb45g0k"))))
+    (arguments
+     `(#:cargo-inputs (("rust-derive-new" ,rust-derive-new-0.5)
+                       ("rust-lazy-static" ,rust-lazy-static-1)
+                       ("rust-petgraph" ,rust-petgraph-0.6)
+                       ("rust-regex" ,rust-regex-1)
+                       ("rust-serde" ,rust-serde-1)
+                       ("rust-strum-macros" ,rust-strum-macros-0.21)
+                       ("rust-thiserror" ,rust-thiserror-1))))))
+
 (define-public rust-bit-field-0.10
   (package
     (name "rust-bit-field")