diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 2296e446ad..d78044c394 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -18002,59 +18002,50 @@ (define-public rust-cssparser-macros-0.6
      "This package provides the procedural macros for rust-cssparser.")
     (license license:mpl2.0)))
 
-(define-public rust-csv-async-1
+(define-public rust-cstr-0.2
   (package
-    (name "rust-csv-async")
-    (version "1.3.0")
+    (name "rust-cstr")
+    (version "0.2.12")
     (source
      (origin
        (method url-fetch)
-       (uri (crate-uri "csv-async" version))
+       (uri (crate-uri "cstr" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "1w60k4pqm1lnbv0mbz1d1ypmkx487r0q36hyrrh84jkzs2qfazyk"))))
+        (base32 "0dj6ll9ry27kn4k0vvhlvbhn9dyyr9haxnd06bxaqnmfr01kjlk8"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:tests? #f      ; Errors in the test suite code.
-       #:cargo-inputs (("rust-cfg-if" ,rust-cfg-if-1)
-                       ("rust-csv-core" ,rust-csv-core-0.1)
-                       ("rust-futures" ,rust-futures-0.3)
-                       ("rust-itoa" ,rust-itoa-1)
-                       ("rust-ryu" ,rust-ryu-1)
-                       ("rust-serde" ,rust-serde-1)
-                       ("rust-tokio" ,rust-tokio-1)
-                       ("rust-tokio-stream" ,rust-tokio-stream-0.1))
-       #:cargo-development-inputs (("rust-async-std" ,rust-async-std-1)
-                                   ("rust-bstr" ,rust-bstr-1)
-                                   ("rust-chrono" ,rust-chrono-0.4)
-                                   ("rust-indoc" ,rust-indoc-2)
-                                   ("rust-serde" ,rust-serde-1)
-                                   ("rust-tokio" ,rust-tokio-1))))
-    (home-page "https://github.com/gwierzchowski/csv-async")
-    (synopsis "CSV parsing for async")
-    (description "This package provides CSV parsing for async.")
+     `(#:cargo-inputs (("rust-proc-macro2" ,rust-proc-macro2-1)
+                       ("rust-quote" ,rust-quote-1))
+       #:cargo-development-inputs (("rust-trybuild" ,rust-trybuild-1))))
+    (home-page "https://github.com/upsuper/cstr")
+    (synopsis "Macro for building static CStr reference")
+    (description
+     "This package provides the macro for building static CStr reference.")
     (license license:expat)))
 
-(define-public rust-csv-index-0.1
+(define-public rust-cstr-core-0.2
   (package
-    (name "rust-csv-index")
-    (version "0.1.6")
-    (source (origin
-              (method url-fetch)
-              (uri (crate-uri "csv-index" version))
-              (file-name (string-append name "-" version ".tar.gz"))
-              (sha256
-               (base32
-                "01048y84y0bakqm0x4y1svjv6lzc753b9q598xp7xgcqrdgi6x7j"))))
+    (name "rust-cstr-core")
+    (version "0.2.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cstr_core" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1fymp34mv7bix8m35pw3qs30b7879wmaym03ihfbzdl84plwa1r8"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:cargo-inputs
-       (("rust-byteorder" ,rust-byteorder-1)
-        ("rust-csv" ,rust-csv-1))))
-    (home-page "https://github.com/BurntSushi/rust-csv")
-    (synopsis "On disk CSV indexing data structures")
-    (description "On disk CSV indexing data structures.")
-    (license (list license:unlicense license:expat))))
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-cty" ,rust-cty-0.2)
+        ("rust-memchr" ,rust-memchr-2))))
+    (home-page "https://github.com/Amanieu/cstr_core")
+    (synopsis "Implementation of CStr and CString for no_std environments")
+    (description
+     "This crates implements CStr and CString for no_std environments.")
+    (license (list license:asl2.0 license:expat))))
 
 (define-public rust-csv-1
   (package
@@ -18101,6 +18092,39 @@ (define-public rust-csv-0.14
        #:cargo-development-inputs
        (("rust-regex" ,rust-regex-0.1))))))
 
+(define-public rust-csv-async-1
+  (package
+    (name "rust-csv-async")
+    (version "1.3.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "csv-async" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1w60k4pqm1lnbv0mbz1d1ypmkx487r0q36hyrrh84jkzs2qfazyk"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:tests? #f      ; Errors in the test suite code.
+       #:cargo-inputs (("rust-cfg-if" ,rust-cfg-if-1)
+                       ("rust-csv-core" ,rust-csv-core-0.1)
+                       ("rust-futures" ,rust-futures-0.3)
+                       ("rust-itoa" ,rust-itoa-1)
+                       ("rust-ryu" ,rust-ryu-1)
+                       ("rust-serde" ,rust-serde-1)
+                       ("rust-tokio" ,rust-tokio-1)
+                       ("rust-tokio-stream" ,rust-tokio-stream-0.1))
+       #:cargo-development-inputs (("rust-async-std" ,rust-async-std-1)
+                                   ("rust-bstr" ,rust-bstr-1)
+                                   ("rust-chrono" ,rust-chrono-0.4)
+                                   ("rust-indoc" ,rust-indoc-2)
+                                   ("rust-serde" ,rust-serde-1)
+                                   ("rust-tokio" ,rust-tokio-1))))
+    (home-page "https://github.com/gwierzchowski/csv-async")
+    (synopsis "CSV parsing for async")
+    (description "This package provides CSV parsing for async.")
+    (license license:expat)))
+
 (define-public rust-csv-core-0.1
   (package
     (name "rust-csv-core")
@@ -18121,50 +18145,26 @@ (define-public rust-csv-core-0.1
     (description "Bare bones CSV parsing with no_std support.")
     (license (list license:unlicense license:expat))))
 
-(define-public rust-cstr-0.2
-  (package
-    (name "rust-cstr")
-    (version "0.2.12")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "cstr" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "0dj6ll9ry27kn4k0vvhlvbhn9dyyr9haxnd06bxaqnmfr01kjlk8"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs (("rust-proc-macro2" ,rust-proc-macro2-1)
-                       ("rust-quote" ,rust-quote-1))
-       #:cargo-development-inputs (("rust-trybuild" ,rust-trybuild-1))))
-    (home-page "https://github.com/upsuper/cstr")
-    (synopsis "Macro for building static CStr reference")
-    (description
-     "This package provides the macro for building static CStr reference.")
-    (license license:expat)))
-
-(define-public rust-cstr-core-0.2
+(define-public rust-csv-index-0.1
   (package
-    (name "rust-cstr-core")
-    (version "0.2.3")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "cstr_core" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "1fymp34mv7bix8m35pw3qs30b7879wmaym03ihfbzdl84plwa1r8"))))
+    (name "rust-csv-index")
+    (version "0.1.6")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "csv-index" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "01048y84y0bakqm0x4y1svjv6lzc753b9q598xp7xgcqrdgi6x7j"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:skip-build? #t
-       #:cargo-inputs
-       (("rust-cty" ,rust-cty-0.2)
-        ("rust-memchr" ,rust-memchr-2))))
-    (home-page "https://github.com/Amanieu/cstr_core")
-    (synopsis "Implementation of CStr and CString for no_std environments")
-    (description
-     "This crates implements CStr and CString for no_std environments.")
-    (license (list license:asl2.0 license:expat))))
+     `(#:cargo-inputs
+       (("rust-byteorder" ,rust-byteorder-1)
+        ("rust-csv" ,rust-csv-1))))
+    (home-page "https://github.com/BurntSushi/rust-csv")
+    (synopsis "On disk CSV indexing data structures")
+    (description "On disk CSV indexing data structures.")
+    (license (list license:unlicense license:expat))))
 
 (define-public rust-ct-codecs-1
   (package