diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 329b6474f0..7004478cde 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -15757,6 +15757,137 @@ (define-public rust-cookie-factory-0.3
 similar to the nom parser combinators library.")
     (license license:expat)))
 
+(define-public rust-cookie-store-0.20
+  (package
+    (name "rust-cookie-store")
+    (version "0.20.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cookie_store" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1xkc7fl1jik9ki13j9pjgyw51d0qd613srz1lv1qb0blpjmn2x1q"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-cookie" ,rust-cookie-0.17)
+                       ("rust-idna" ,rust-idna-0.3)
+                       ("rust-indexmap" ,rust-indexmap-1)
+                       ("rust-log" ,rust-log-0.4)
+                       ("rust-publicsuffix" ,rust-publicsuffix-2)
+                       ("rust-serde" ,rust-serde-1)
+                       ("rust-serde-derive" ,rust-serde-derive-1)
+                       ("rust-serde-json" ,rust-serde-json-1)
+                       ("rust-time" ,rust-time-0.3)
+                       ("rust-url" ,rust-url-2))))
+    (home-page "https://github.com/pfernie/cookie_store")
+    (synopsis "Cookie storage and retrieval")
+    (description "This package implements cookie storage and retrieval.")
+    (license (list license:expat license:asl2.0))))
+
+(define-public rust-cookie-store-0.19
+  (package
+    (inherit rust-cookie-store-0.20)
+    (name "rust-cookie-store")
+    (version "0.19.1")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "cookie_store" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "19vy19rvp3a68sgxkrv6bxxlrr2ggqp0176yqb3zhmi0g4sqz8fm"))))
+    (arguments
+     `(#:cargo-inputs
+       (("rust-cookie" ,rust-cookie-0.16)
+        ("rust-idna" ,rust-idna-0.3)
+        ("rust-indexmap" ,rust-indexmap-1)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-publicsuffix" ,rust-publicsuffix-2)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-derive" ,rust-serde-derive-1)
+        ("rust-serde-json" ,rust-serde-json-1)
+        ("rust-time" ,rust-time-0.3)
+        ("rust-url" ,rust-url-2))))))
+
+(define-public rust-cookie-store-0.16
+  (package
+    (inherit rust-cookie-store-0.19)
+    (name "rust-cookie-store")
+    (version "0.16.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cookie_store" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1kfrmxx9mi55dgbj8qgd8qbahvi1yjqwk05v0jm5y7zld6inljrf"))))
+    (arguments
+     `(#:cargo-inputs
+       (("rust-cookie" ,rust-cookie-0.16)
+        ("rust-idna" ,rust-idna-0.2)
+        ("rust-indexmap" ,rust-indexmap-1)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-publicsuffix" ,rust-publicsuffix-2)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-json" ,rust-serde-json-1)
+        ("rust-time" ,rust-time-0.3)
+        ("rust-url" ,rust-url-2))))))
+
+(define-public rust-cookie-store-0.15
+  (package
+    (inherit rust-cookie-store-0.16)
+    (name "rust-cookie-store")
+    (version "0.15.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cookie_store" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0z0navy9k0ivrdvz492q8c4nhd3iv5l77hwfppskdp1j15607xxk"))))
+    (arguments
+     `(#:cargo-inputs
+       (("rust-cookie" ,rust-cookie-0.15)
+        ("rust-idna" ,rust-idna-0.2)
+        ("rust-indexmap" ,rust-indexmap-1)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-publicsuffix" ,rust-publicsuffix-2)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-json" ,rust-serde-json-1)
+        ("rust-time" ,rust-time-0.2)
+        ("rust-url" ,rust-url-2))))))
+
+(define-public rust-cookie-store-0.12
+  (package
+    (inherit rust-cookie-store-0.15)
+    (name "rust-cookie-store")
+    (version "0.12.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cookie_store" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1lqhmdwgnyvi1mjmw4rbgd02fwav4aabpg4vcld23d8c9g5dy61q"))))
+    (arguments
+     `(#:cargo-inputs
+       (("rust-cookie" ,rust-cookie-0.14)
+        ("rust-idna" ,rust-idna-0.2)
+        ("rust-indexmap" ,rust-indexmap-1)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-publicsuffix" ,rust-publicsuffix-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-json" ,rust-serde-json-1)
+        ("rust-time" ,rust-time-0.2)
+        ("rust-url" ,rust-url-2))
+       #:cargo-development-inputs
+       (("rust-env-logger" ,rust-env-logger-0.7)
+        ("rust-pretty-assertions" ,rust-pretty-assertions-0.6))))))
+
 (define-public rust-coolor-0.8
   (package
     (name "rust-coolor")
@@ -15882,6 +16013,72 @@ (define-public rust-cordic-0.1
 numbers using the CORDIC method.")
     (license license:bsd-3)))
 
+(define-public rust-core-affinity-0.8
+  (package
+    (name "rust-core-affinity")
+    (version "0.8.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "core_affinity" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0113rfzyvjpl1camxnrf92pn9vakhn9zqvgir0wgrqawcgsr4a32"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-libc" ,rust-libc-0.2)
+                       ("rust-num-cpus" ,rust-num-cpus-1)
+                       ("rust-winapi" ,rust-winapi-0.3))))
+    (home-page "https://github.com/Elzair/core_affinity_rs")
+    (synopsis "Manage CPU affinities")
+    (description "This package manages CPU affinities.")
+    (license (list license:expat license:asl2.0))))
+
+(define-public rust-core-affinity-0.5
+  (package
+    (inherit rust-core-affinity-0.8)
+    (name "rust-core-affinity")
+    (version "0.5.10")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "core_affinity" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "07qpwyxps4gp3gci2p6c5h4cmcql7551bp91qgbv0ky3bh8h72kz"))))
+    (arguments
+     `(#:cargo-inputs
+       (("rust-kernel32-sys" ,rust-kernel32-sys-0.2)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-num-cpus" ,rust-num-cpus-1)
+        ("rust-winapi" ,rust-winapi-0.2))))))
+
+(define-public rust-core-arch-0.1
+  (package
+    (name "rust-core-arch")
+    (version "0.1.5")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "core_arch" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "04vdvr9vj0f1cv2p54nsszmrrk9w1js4c0z4i0bdlajl1lydslim"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-development-inputs
+       (("rust-wasm-bindgen-test" ,rust-wasm-bindgen-test-0.2))))
+    (home-page "https://github.com/rust-lang/stdarch")
+    (synopsis
+     "Rust's core library architecture-specific intrinsics")
+    (description
+     "@code{core::arch} - Rust's core library architecture-specific
+intrinsics.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-core-error-0.0.0
   (package
     (name "rust-core-error")
@@ -16008,203 +16205,6 @@ (define-public rust-core2-0.3
          (base32 "1wzzy5iazdk5caadxvjfwrd312rbg7a55a1zpmsdrhk3kfpa77r3"))))
     (arguments `(#:cargo-inputs (("rust-memchr" ,rust-memchr-2))))))
 
-(define-public rust-cookie-store-0.20
-  (package
-    (name "rust-cookie-store")
-    (version "0.20.0")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "cookie_store" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "1xkc7fl1jik9ki13j9pjgyw51d0qd613srz1lv1qb0blpjmn2x1q"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs (("rust-cookie" ,rust-cookie-0.17)
-                       ("rust-idna" ,rust-idna-0.3)
-                       ("rust-indexmap" ,rust-indexmap-1)
-                       ("rust-log" ,rust-log-0.4)
-                       ("rust-publicsuffix" ,rust-publicsuffix-2)
-                       ("rust-serde" ,rust-serde-1)
-                       ("rust-serde-derive" ,rust-serde-derive-1)
-                       ("rust-serde-json" ,rust-serde-json-1)
-                       ("rust-time" ,rust-time-0.3)
-                       ("rust-url" ,rust-url-2))))
-    (home-page "https://github.com/pfernie/cookie_store")
-    (synopsis "Cookie storage and retrieval")
-    (description "This package implements cookie storage and retrieval.")
-    (license (list license:expat license:asl2.0))))
-
-(define-public rust-cookie-store-0.19
-  (package
-    (inherit rust-cookie-store-0.20)
-    (name "rust-cookie-store")
-    (version "0.19.1")
-    (source (origin
-              (method url-fetch)
-              (uri (crate-uri "cookie_store" version))
-              (file-name (string-append name "-" version ".tar.gz"))
-              (sha256
-               (base32
-                "19vy19rvp3a68sgxkrv6bxxlrr2ggqp0176yqb3zhmi0g4sqz8fm"))))
-    (arguments
-     `(#:cargo-inputs
-       (("rust-cookie" ,rust-cookie-0.16)
-        ("rust-idna" ,rust-idna-0.3)
-        ("rust-indexmap" ,rust-indexmap-1)
-        ("rust-log" ,rust-log-0.4)
-        ("rust-publicsuffix" ,rust-publicsuffix-2)
-        ("rust-serde" ,rust-serde-1)
-        ("rust-serde-derive" ,rust-serde-derive-1)
-        ("rust-serde-json" ,rust-serde-json-1)
-        ("rust-time" ,rust-time-0.3)
-        ("rust-url" ,rust-url-2))))))
-
-(define-public rust-cookie-store-0.16
-  (package
-    (inherit rust-cookie-store-0.19)
-    (name "rust-cookie-store")
-    (version "0.16.1")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "cookie_store" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "1kfrmxx9mi55dgbj8qgd8qbahvi1yjqwk05v0jm5y7zld6inljrf"))))
-    (arguments
-     `(#:cargo-inputs
-       (("rust-cookie" ,rust-cookie-0.16)
-        ("rust-idna" ,rust-idna-0.2)
-        ("rust-indexmap" ,rust-indexmap-1)
-        ("rust-log" ,rust-log-0.4)
-        ("rust-publicsuffix" ,rust-publicsuffix-2)
-        ("rust-serde" ,rust-serde-1)
-        ("rust-serde-json" ,rust-serde-json-1)
-        ("rust-time" ,rust-time-0.3)
-        ("rust-url" ,rust-url-2))))))
-
-(define-public rust-cookie-store-0.15
-  (package
-    (inherit rust-cookie-store-0.16)
-    (name "rust-cookie-store")
-    (version "0.15.1")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "cookie_store" version))
-       (file-name
-        (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32
-         "0z0navy9k0ivrdvz492q8c4nhd3iv5l77hwfppskdp1j15607xxk"))))
-    (arguments
-     `(#:cargo-inputs
-       (("rust-cookie" ,rust-cookie-0.15)
-        ("rust-idna" ,rust-idna-0.2)
-        ("rust-indexmap" ,rust-indexmap-1)
-        ("rust-log" ,rust-log-0.4)
-        ("rust-publicsuffix" ,rust-publicsuffix-2)
-        ("rust-serde" ,rust-serde-1)
-        ("rust-serde-json" ,rust-serde-json-1)
-        ("rust-time" ,rust-time-0.2)
-        ("rust-url" ,rust-url-2))))))
-
-(define-public rust-cookie-store-0.12
-  (package
-    (inherit rust-cookie-store-0.15)
-    (name "rust-cookie-store")
-    (version "0.12.0")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "cookie_store" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32
-         "1lqhmdwgnyvi1mjmw4rbgd02fwav4aabpg4vcld23d8c9g5dy61q"))))
-    (arguments
-     `(#:cargo-inputs
-       (("rust-cookie" ,rust-cookie-0.14)
-        ("rust-idna" ,rust-idna-0.2)
-        ("rust-indexmap" ,rust-indexmap-1)
-        ("rust-log" ,rust-log-0.4)
-        ("rust-publicsuffix" ,rust-publicsuffix-1)
-        ("rust-serde" ,rust-serde-1)
-        ("rust-serde-json" ,rust-serde-json-1)
-        ("rust-time" ,rust-time-0.2)
-        ("rust-url" ,rust-url-2))
-       #:cargo-development-inputs
-       (("rust-env-logger" ,rust-env-logger-0.7)
-        ("rust-pretty-assertions" ,rust-pretty-assertions-0.6))))))
-
-(define-public rust-core-affinity-0.8
-  (package
-    (name "rust-core-affinity")
-    (version "0.8.1")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "core_affinity" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "0113rfzyvjpl1camxnrf92pn9vakhn9zqvgir0wgrqawcgsr4a32"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs (("rust-libc" ,rust-libc-0.2)
-                       ("rust-num-cpus" ,rust-num-cpus-1)
-                       ("rust-winapi" ,rust-winapi-0.3))))
-    (home-page "https://github.com/Elzair/core_affinity_rs")
-    (synopsis "Manage CPU affinities")
-    (description "This package manages CPU affinities.")
-    (license (list license:expat license:asl2.0))))
-
-(define-public rust-core-affinity-0.5
-  (package
-    (inherit rust-core-affinity-0.8)
-    (name "rust-core-affinity")
-    (version "0.5.10")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "core_affinity" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "07qpwyxps4gp3gci2p6c5h4cmcql7551bp91qgbv0ky3bh8h72kz"))))
-    (arguments
-     `(#:cargo-inputs
-       (("rust-kernel32-sys" ,rust-kernel32-sys-0.2)
-        ("rust-libc" ,rust-libc-0.2)
-        ("rust-num-cpus" ,rust-num-cpus-1)
-        ("rust-winapi" ,rust-winapi-0.2))))))
-
-(define-public rust-core-arch-0.1
-  (package
-    (name "rust-core-arch")
-    (version "0.1.5")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "core_arch" version))
-       (file-name
-        (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32
-         "04vdvr9vj0f1cv2p54nsszmrrk9w1js4c0z4i0bdlajl1lydslim"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:skip-build? #t
-       #:cargo-development-inputs
-       (("rust-wasm-bindgen-test" ,rust-wasm-bindgen-test-0.2))))
-    (home-page "https://github.com/rust-lang/stdarch")
-    (synopsis
-     "Rust's core library architecture-specific intrinsics")
-    (description
-     "@code{core::arch} - Rust's core library architecture-specific
-intrinsics.")
-    (license (list license:expat license:asl2.0))))
-
 (define-public rust-count-instructions-0.1
   (package
     (name "rust-count-instructions")