diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 74a790e66b..60fd9b330d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -11119,6 +11119,74 @@ (define-public rust-cargo-husky-1
 automatically on cargo test.")
     (license license:expat)))
 
+(define-public rust-cargo-lock-9
+  (package
+    (name "rust-cargo-lock")
+    (version "9.0.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cargo-lock" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0wmczs13psr8p9mc51w4r4pm900dbpbpipp87knlkd7gg19nf771"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-gumdrop" ,rust-gumdrop-0.8)
+                       ("rust-petgraph" ,rust-petgraph-0.6)
+                       ("rust-semver" ,rust-semver-1)
+                       ("rust-serde" ,rust-serde-1)
+                       ("rust-toml" ,rust-toml-0.7)
+                       ("rust-url" ,rust-url-2))))
+    (home-page "https://rustsec.org")
+    (synopsis "@file{Cargo.lock} parser with optional dependency graph analysis")
+    (description
+     "This package provides self-contained @file{Cargo.lock} parser with
+optional dependency graph analysis.")
+    (license (list license:asl2.0 license:expat))))
+
+(define-public rust-cargo-lock-8
+  (package
+    (inherit rust-cargo-lock-9)
+    (name "rust-cargo-lock")
+    (version "8.0.3")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "cargo-lock" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32 "15nrkr11dnadmwvzjwn6yv8m20g3xw6yj2cayzgab2ppp3fih5q3"))))
+    (arguments
+     `(#:cargo-inputs
+       (("rust-gumdrop" ,rust-gumdrop-0.8)
+        ("rust-petgraph" ,rust-petgraph-0.6)
+        ("rust-semver" ,rust-semver-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-toml" ,rust-toml-0.5)
+        ("rust-url" ,rust-url-2))))))
+
+(define-public rust-cargo-lock-7
+  (package
+    (inherit rust-cargo-lock-8)
+    (name "rust-cargo-lock")
+    (version "7.0.1")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "cargo-lock" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "122wirj0d44xi2i7sc6anjimqfvgw5p5ry840zikc82vpn44pc3z"))))
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-gumdrop" ,rust-gumdrop-0.8)
+        ("rust-petgraph" ,rust-petgraph-0.6)
+        ("rust-semver" ,rust-semver-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-toml" ,rust-toml-0.5)
+        ("rust-url" ,rust-url-2))))))
+
 (define-public rust-cargo-manifest-0.13
   (package
     (name "rust-cargo-manifest")
@@ -11285,74 +11353,6 @@ (define-public rust-cargo-metadata-0.13
         ("rust-serde" ,rust-serde-1)
         ("rust-serde-json" ,rust-serde-json-1))))))
 
-(define-public rust-cargo-lock-9
-  (package
-    (name "rust-cargo-lock")
-    (version "9.0.0")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "cargo-lock" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "0wmczs13psr8p9mc51w4r4pm900dbpbpipp87knlkd7gg19nf771"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs (("rust-gumdrop" ,rust-gumdrop-0.8)
-                       ("rust-petgraph" ,rust-petgraph-0.6)
-                       ("rust-semver" ,rust-semver-1)
-                       ("rust-serde" ,rust-serde-1)
-                       ("rust-toml" ,rust-toml-0.7)
-                       ("rust-url" ,rust-url-2))))
-    (home-page "https://rustsec.org")
-    (synopsis "@file{Cargo.lock} parser with optional dependency graph analysis")
-    (description
-     "This package provides self-contained @file{Cargo.lock} parser with
-optional dependency graph analysis.")
-    (license (list license:asl2.0 license:expat))))
-
-(define-public rust-cargo-lock-8
-  (package
-    (inherit rust-cargo-lock-9)
-    (name "rust-cargo-lock")
-    (version "8.0.3")
-    (source (origin
-              (method url-fetch)
-              (uri (crate-uri "cargo-lock" version))
-              (file-name (string-append name "-" version ".tar.gz"))
-              (sha256
-               (base32 "15nrkr11dnadmwvzjwn6yv8m20g3xw6yj2cayzgab2ppp3fih5q3"))))
-    (arguments
-     `(#:cargo-inputs
-       (("rust-gumdrop" ,rust-gumdrop-0.8)
-        ("rust-petgraph" ,rust-petgraph-0.6)
-        ("rust-semver" ,rust-semver-1)
-        ("rust-serde" ,rust-serde-1)
-        ("rust-toml" ,rust-toml-0.5)
-        ("rust-url" ,rust-url-2))))))
-
-(define-public rust-cargo-lock-7
-  (package
-    (inherit rust-cargo-lock-8)
-    (name "rust-cargo-lock")
-    (version "7.0.1")
-    (source (origin
-              (method url-fetch)
-              (uri (crate-uri "cargo-lock" version))
-              (file-name (string-append name "-" version ".tar.gz"))
-              (sha256
-               (base32
-                "122wirj0d44xi2i7sc6anjimqfvgw5p5ry840zikc82vpn44pc3z"))))
-    (arguments
-     `(#:skip-build? #t
-       #:cargo-inputs
-       (("rust-gumdrop" ,rust-gumdrop-0.8)
-        ("rust-petgraph" ,rust-petgraph-0.6)
-        ("rust-semver" ,rust-semver-1)
-        ("rust-serde" ,rust-serde-1)
-        ("rust-toml" ,rust-toml-0.5)
-        ("rust-url" ,rust-url-2))))))
-
 (define-public rust-cargo-options-0.7
   (package
     (name "rust-cargo-options")