diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 7004478cde..0e908ca219 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -14209,175 +14209,6 @@ (define-public rust-compact-str-0.7
 stores strings on the stack, when possible.")
     (license license:expat)))
 
-(define-public rust-compound-duration-1
-  (package
-    (name "rust-compound-duration")
-    (version "1.2.1")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "compound_duration" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "0rb5kasd7044xxb73wz2qqxv6iwawp9gipvqhya8yybafh7a679r"))))
-    (build-system cargo-build-system)
-    (home-page "https://docs.rs/compound_duration/latest/compound_duration/")
-    (synopsis "Convert seconds to compound duration")
-    (description
-     "Convert seconds to compound duration, such as: week, days, hours,
-minutes, seconds.")
-    (license license:bsd-3)))
-
-(define-public rust-condtype-1
-  (package
-    (name "rust-condtype")
-    (version "1.3.0")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "condtype" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "1by78npyhkc30jccc7kirvwip1fj0jhi2bwfmcw44dqz81xa1w5s"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-development-inputs (("rust-cfg-if" ,rust-cfg-if-1)
-                                   ("rust-libc" ,rust-libc-0.2))))
-    (home-page "https://github.com/nvzqz/condtype")
-    (synopsis "Choose types at compile-time via boolean constants")
-    (description "Choose types at compile-time via boolean constants.")
-    (license (list license:expat license:asl2.0))))
-
-(define-public rust-const-cstr-0.3
-  (package
-    (name "rust-const-cstr")
-    (version "0.3.0")
-    (source (origin
-              (method url-fetch)
-              (uri (crate-uri "const-cstr" version))
-              (file-name (string-append name "-" version ".tar.gz"))
-              (sha256
-               (base32
-                "19ij6m8s16d0i7vma535l7w4x8bcanjcxs7c6n7sci86ydghnggd"))))
-    (build-system cargo-build-system)
-    (home-page "https://github.com/cybergeek94/const-cstr")
-    (synopsis "Create static C-compatible strings from Rust string literals")
-    (description
-     "This crate lets you create static C-compatible strings from Rust string
-literals.")
-    (license (list license:expat license:asl2.0))))
-
-(define-public rust-const-fn-assert-0.1
-  (package
-    (name "rust-const-fn-assert")
-    (version "0.1.2")
-    (source (origin
-              (method url-fetch)
-              (uri (crate-uri "const_fn_assert" version))
-              (file-name (string-append name "-" version ".tar.gz"))
-              (sha256
-               (base32 "1451yxndri5zj95lyjzckj7m3qlpyj8ibp3pb8bbbxrl7zr19mi7"))))
-    (build-system cargo-build-system)
-    (home-page "https://github.com/powlpy/const_fn_assert")
-    (synopsis "Assertions for const functions")
-    (description "Assertions for const functions.")
-    (license license:expat)))
-
-(define-public rust-const-format-0.2
-  (package
-    (name "rust-const-format")
-    (version "0.2.32")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "const_format" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "0wvns8mzqwkyciwr00p2g5g4ak7zz8m473di85srj11xmz3i98p3"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-test-flags
-       '("--release" "--features=__test")
-       #:cargo-inputs
-       (("rust-const-format-proc-macros" ,rust-const-format-proc-macros-0.2)
-        ("rust-konst" ,rust-konst-0.2))
-       #:cargo-development-inputs (("rust-arrayvec" ,rust-arrayvec-0.5)
-                                   ("rust-fastrand" ,rust-fastrand-1))))
-    (home-page "https://github.com/rodrimati1992/const_format_crates/")
-    (synopsis "Compile-time string formatting")
-    (description "This package provides compile-time string formatting.")
-    (license license:zlib)))
-
-(define-public rust-const-format-proc-macros-0.2
-  (package
-    (name "rust-const-format-proc-macros")
-    (version "0.2.32")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "const_format_proc_macros" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "0015dzbjbd773nn6096dwqv11fm8m3gy4a4a56cz5x10zl4gzxn7"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs (("rust-proc-macro2" ,rust-proc-macro2-1)
-                       ("rust-quote" ,rust-quote-1)
-                       ("rust-syn" ,rust-syn-1)
-                       ("rust-unicode-xid" ,rust-unicode-xid-0.2))
-       #:cargo-development-inputs (("rust-fastrand" ,rust-fastrand-1))))
-    (home-page "https://github.com/rodrimati1992/const_format_crates/")
-    (synopsis "Implementation detail of the @code{const_format} crate")
-    (description "Implementation detail of the @code{const_format} crate.")
-    (license license:zlib)))
-
-(define-public rust-const-panic-0.2
-  (package
-    (name "rust-const-panic")
-    (version "0.2.8")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "const_panic" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "16w72mnzjqgwfhlq8cqm6xhd2n6lc1wan08987izv1pcxhwz4lb0"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-test-flags
-       '("--release" "--features=test")
-       #:cargo-inputs
-       (("rust-const-panic-proc-macros" ,rust-const-panic-proc-macros-0.2)
-        ("rust-typewit" ,rust-typewit-1))
-       #:cargo-development-inputs (("rust-arrayvec" ,rust-arrayvec-0.7)
-                                   ("rust-rand" ,rust-rand-0.8))))
-    (home-page "https://github.com/rodrimati1992/const_panic/")
-    (synopsis "Const panic with formatting")
-    (description "This package provides const panic with formatting.")
-    (license license:zlib)))
-
-(define-public rust-const-panic-proc-macros-0.2
-  (package
-    (name "rust-const-panic-proc-macros")
-    (version "0.2.0")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "const_panic_proc_macros" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "1addx3a8vi02cdak3ygrqivv02jj73251h85x49aic78yznrhlrr"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs (("rust-proc-macro2" ,rust-proc-macro2-1)
-                       ("rust-quote" ,rust-quote-1)
-                       ("rust-syn" ,rust-syn-1)
-                       ("rust-unicode-xid" ,rust-unicode-xid-0.2))))
-    (home-page "https://github.com/rodrimati1992/const_panic/")
-    (synopsis "Implementation detail of the `const_panic` crate")
-    (description "Implementation detail of the `const_panic` crate.")
-    (license license:zlib)))
-
 ;; This package requires features which are unavailable
 ;; on the stable releases of Rust.
 (define-public rust-compiler-builtins-0.1
@@ -14569,6 +14400,25 @@ (define-public rust-completest-pty-0.5
      "This package provides running completions for your program.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-compound-duration-1
+  (package
+    (name "rust-compound-duration")
+    (version "1.2.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "compound_duration" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0rb5kasd7044xxb73wz2qqxv6iwawp9gipvqhya8yybafh7a679r"))))
+    (build-system cargo-build-system)
+    (home-page "https://docs.rs/compound_duration/latest/compound_duration/")
+    (synopsis "Convert seconds to compound duration")
+    (description
+     "Convert seconds to compound duration, such as: week, days, hours,
+minutes, seconds.")
+    (license license:bsd-3)))
+
 (define-public rust-comrak-0.18
   (package
     (name "rust-comrak")
@@ -14852,6 +14702,26 @@ (define-public rust-concurrent-queue-1
        (("rust-easy-parallel" ,rust-easy-parallel-3)
         ("rust-fastrand" ,rust-fastrand-1))))))
 
+(define-public rust-condtype-1
+  (package
+    (name "rust-condtype")
+    (version "1.3.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "condtype" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1by78npyhkc30jccc7kirvwip1fj0jhi2bwfmcw44dqz81xa1w5s"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-development-inputs (("rust-cfg-if" ,rust-cfg-if-1)
+                                   ("rust-libc" ,rust-libc-0.2))))
+    (home-page "https://github.com/nvzqz/condtype")
+    (synopsis "Choose types at compile-time via boolean constants")
+    (description "Choose types at compile-time via boolean constants.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-config-0.13
   (package
     (name "rust-config")
@@ -15262,6 +15132,25 @@ (define-public rust-console-log-0.1
 the browser's console.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-const-cstr-0.3
+  (package
+    (name "rust-const-cstr")
+    (version "0.3.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "const-cstr" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "19ij6m8s16d0i7vma535l7w4x8bcanjcxs7c6n7sci86ydghnggd"))))
+    (build-system cargo-build-system)
+    (home-page "https://github.com/cybergeek94/const-cstr")
+    (synopsis "Create static C-compatible strings from Rust string literals")
+    (description
+     "This crate lets you create static C-compatible strings from Rust string
+literals.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-const-fn-0.4
   (package
     (name "rust-const-fn")
@@ -15281,6 +15170,69 @@ (define-public rust-const-fn-0.4
 const functions with conditional compilations.")
     (license (list license:asl2.0 license:expat))))
 
+(define-public rust-const-fn-assert-0.1
+  (package
+    (name "rust-const-fn-assert")
+    (version "0.1.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "const_fn_assert" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1451yxndri5zj95lyjzckj7m3qlpyj8ibp3pb8bbbxrl7zr19mi7"))))
+    (build-system cargo-build-system)
+    (home-page "https://github.com/powlpy/const_fn_assert")
+    (synopsis "Assertions for const functions")
+    (description "Assertions for const functions.")
+    (license license:expat)))
+
+(define-public rust-const-format-0.2
+  (package
+    (name "rust-const-format")
+    (version "0.2.32")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "const_format" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0wvns8mzqwkyciwr00p2g5g4ak7zz8m473di85srj11xmz3i98p3"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-test-flags '("--release" "--features=__test")
+       #:cargo-inputs (("rust-const-format-proc-macros" ,rust-const-format-proc-macros-0.2)
+                       ("rust-konst" ,rust-konst-0.2))
+       #:cargo-development-inputs (("rust-arrayvec" ,rust-arrayvec-0.5)
+                                   ("rust-fastrand" ,rust-fastrand-1))))
+    (home-page "https://github.com/rodrimati1992/const_format_crates/")
+    (synopsis "Compile-time string formatting")
+    (description "This package provides compile-time string formatting.")
+    (license license:zlib)))
+
+(define-public rust-const-format-proc-macros-0.2
+  (package
+    (name "rust-const-format-proc-macros")
+    (version "0.2.32")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "const_format_proc_macros" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0015dzbjbd773nn6096dwqv11fm8m3gy4a4a56cz5x10zl4gzxn7"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-proc-macro2" ,rust-proc-macro2-1)
+                       ("rust-quote" ,rust-quote-1)
+                       ("rust-syn" ,rust-syn-1)
+                       ("rust-unicode-xid" ,rust-unicode-xid-0.2))
+       #:cargo-development-inputs (("rust-fastrand" ,rust-fastrand-1))))
+    (home-page "https://github.com/rodrimati1992/const_format_crates/")
+    (synopsis "Implementation detail of the @code{const_format} crate")
+    (description "Implementation detail of the @code{const_format} crate.")
+    (license license:zlib)))
+
 (define-public rust-const-oid-0.9
   (package
     (name "rust-const-oid")
@@ -15334,6 +15286,51 @@ (define-public rust-const-oid-0.6
         (base32 "12vv7csqqjj0x1l5mf51lgqiw76k5c3mb1yzfhfcqysks2j2lvwx"))))
     (arguments `(#:skip-build? #t))))
 
+(define-public rust-const-panic-0.2
+  (package
+    (name "rust-const-panic")
+    (version "0.2.8")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "const_panic" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "16w72mnzjqgwfhlq8cqm6xhd2n6lc1wan08987izv1pcxhwz4lb0"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-test-flags '("--release" "--features=test")
+       #:cargo-inputs (("rust-const-panic-proc-macros" ,rust-const-panic-proc-macros-0.2)
+                       ("rust-typewit" ,rust-typewit-1))
+       #:cargo-development-inputs (("rust-arrayvec" ,rust-arrayvec-0.7)
+                                   ("rust-rand" ,rust-rand-0.8))))
+    (home-page "https://github.com/rodrimati1992/const_panic/")
+    (synopsis "Const panic with formatting")
+    (description "This package provides const panic with formatting.")
+    (license license:zlib)))
+
+(define-public rust-const-panic-proc-macros-0.2
+  (package
+    (name "rust-const-panic-proc-macros")
+    (version "0.2.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "const_panic_proc_macros" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1addx3a8vi02cdak3ygrqivv02jj73251h85x49aic78yznrhlrr"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-proc-macro2" ,rust-proc-macro2-1)
+                       ("rust-quote" ,rust-quote-1)
+                       ("rust-syn" ,rust-syn-1)
+                       ("rust-unicode-xid" ,rust-unicode-xid-0.2))))
+    (home-page "https://github.com/rodrimati1992/const_panic/")
+    (synopsis "Implementation detail of the `const_panic` crate")
+    (description "Implementation detail of the `const_panic` crate.")
+    (license license:zlib)))
+
 (define-public rust-const-random-0.1
   (package
     (name "rust-const-random")