diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 84fd202da6..c6d88b49e6 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -12552,183 +12552,6 @@ (define-public rust-clang-sys-0.28
          (base32
           "0ls8zcqi5bmmrvrk3b6r1ym4wlivinbv590d2dvg2xn9f44mbpl1"))))))
 
-(define-public rust-clap-cargo-0.12
-  (package
-    (name "rust-clap-cargo")
-    (version "0.12.0")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "clap-cargo" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "1r2f4ad1vpaljrfbyfsv986qiwmll0iask4sdvwllka658s22grq"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs (("rust-anstyle" ,rust-anstyle-1)
-                       ("rust-cargo-metadata" ,rust-cargo-metadata-0.17)
-                       ("rust-clap" ,rust-clap-4))))
-    (home-page "https://github.com/crate-ci/clap-cargo")
-    (synopsis "Re-usable CLI flags for `cargo` plugins")
-    (description "This package provides re-usable CLI flags for `cargo` plugins.")
-    (license (list license:expat license:asl2.0))))
-
-(define-public rust-clap-complete-command-0.5
-  (package
-    (name "rust-clap-complete-command")
-    (version "0.5.1")
-    (source (origin
-              (method url-fetch)
-              (uri (crate-uri "clap_complete_command" version))
-              (file-name (string-append name "-" version ".tar.gz"))
-              (sha256
-               (base32
-                "0gcsj6ls8y0jpjp5172gdqwx5zj6gm4wdgrqysglr3d73qvrad0q"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs
-       (("rust-carapace-spec-clap" ,rust-carapace-spec-clap-0.1)
-        ("rust-clap" ,rust-clap-4)
-        ("rust-clap-complete" ,rust-clap-complete-4)
-        ("rust-clap-complete-fig" ,rust-clap-complete-fig-4)
-        ("rust-clap-complete-nushell" ,rust-clap-complete-nushell-0.1))
-       #:cargo-development-inputs (("rust-clap" ,rust-clap-4))))
-    (home-page "https://github.com/nihaals/clap-complete-command")
-    (synopsis
-     "Reduces boilerplate for adding a shell completion command to Clap")
-    (description "This package reduces boilerplate for adding a shell completion
-command to Clap.")
-    (license license:expat)))
-
-(define-public rust-clap-complete-fig-4
-  (package
-    (name "rust-clap-complete-fig")
-    (version "4.3.1")
-    (source (origin
-              (method url-fetch)
-              (uri (crate-uri "clap_complete_fig" version))
-              (file-name (string-append name "-" version ".tar.gz"))
-              (sha256
-               (base32
-                "17yfrdxy555fv56y0n69r4kgd2iwpq4mgz6k5rn5lc2i1b9y3zlr"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs
-       (("rust-clap" ,rust-clap-4)
-        ("rust-clap-complete" ,rust-clap-complete-4))
-       #:cargo-development-inputs
-       (("rust-clap" ,rust-clap-4)
-        ("rust-snapbox" ,rust-snapbox-0.4))))
-    (home-page "https://github.com/clap-rs/clap/tree/master/clap_complete_fig")
-    (synopsis "Generator library used with clap for Fig completion scripts")
-    (description
-     "This package provides a generator library used with clap for Fig
-completion scripts.")
-    (license (list license:expat license:asl2.0))))
-
-(define-public rust-clap-complete-nushell-0.1
-  (package
-    (name "rust-clap-complete-nushell")
-    (version "0.1.10")
-    (source (origin
-              (method url-fetch)
-              (uri (crate-uri "clap_complete_nushell" version))
-              (file-name (string-append name "-" version ".tar.gz"))
-              (sha256
-               (base32
-                "0b15s7d9xpqjr1fpj8lmcv6nhgbhxvm0rzbh3cavv0xawvsl3yn7"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs
-       (("rust-clap" ,rust-clap-4)
-        ("rust-clap-complete" ,rust-clap-complete-4))
-       #:cargo-development-inputs (("rust-snapbox" ,rust-snapbox-0.4))))
-    (home-page
-     "https://github.com/clap-rs/clap/tree/master/clap_complete_nushell")
-    (synopsis
-     "Generator library used with clap for Nushell completion scripts")
-    (description
-     "This package provides a generator library used with clap for Nushell
-completion scripts.")
-    (license license:expat)))
-
-(define-public rust-clap-conf-0.1
-  (package
-    (name "rust-clap-conf")
-    (version "0.1.5")
-    (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "clap_conf" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1n29wr6ns660hi63mc30zvs7dhidaycw35am9spzknsal3nrs0sn"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-test-flags
-       (list "--release" "--"
-             "--skip=tests::try_holder")
-       #:cargo-inputs
-       (("rust-anyhow" ,rust-anyhow-1)
-        ("rust-clap" ,rust-clap-2)
-        ("rust-serde" ,rust-serde-1)
-        ("rust-thiserror" ,rust-thiserror-1)
-        ("rust-toml" ,rust-toml-0.5))))
-    (home-page "https://github.com/storyfeet/clap_conf")
-    (synopsis
-     "Library to unify commandline arguments, config files and environment variables")
-    (description
-     "This package provides a library to unify commandline arguments with config
-files and environment variables.  And make it easier for users to tell your program
-how to behave across the three main input sources")
-    (license license:expat)))
-
-(define-public rust-clap-derive-4
-  (package
-    (name "rust-clap-derive")
-    (version "4.5.4")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "clap_derive" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "0r2gs2p10pb435w52xzsgz2mmx5qd3qfkmk29y4mbz9ph11k30aj"))))
-    (build-system cargo-build-system)
-    (arguments
-     (list #:cargo-inputs
-           `(("rust-heck" ,rust-heck-0.5)
-             ("rust-proc-macro2" ,rust-proc-macro2-1)
-             ("rust-quote" ,rust-quote-1)
-             ("rust-syn" ,rust-syn-2))))
-    (home-page "https://clap.rs/")
-    (synopsis "Procedural macro crate for Clap")
-    (description
-     "This package provides the procedural macro crate for Clap.")
-    (license (list license:expat license:asl2.0))))
-
-(define-public rust-clap-derive-3
-  (package
-    (inherit rust-clap-derive-4)
-    (name "rust-clap-derive")
-    (version "3.2.25")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "clap_derive" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "025hh66cyjk5xhhq8s1qw5wkxvrm8hnv5xwwksax7dy8pnw72qxf"))))
-    (arguments
-     (list #:cargo-inputs
-           `(("rust-heck" ,rust-heck-0.4)
-             ("rust-proc-macro-error" ,rust-proc-macro-error-1)
-             ("rust-proc-macro2" ,rust-proc-macro2-1)
-             ("rust-quote" ,rust-quote-1)
-             ("rust-syn" ,rust-syn-1))))))
-
 (define-public rust-clap-4
   (package
     (name "rust-clap")
@@ -12873,6 +12696,28 @@ (define-public rust-clap-builder-4
 Command Line Argument Parser.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-clap-cargo-0.12
+  (package
+    (name "rust-clap-cargo")
+    (version "0.12.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "clap-cargo" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1r2f4ad1vpaljrfbyfsv986qiwmll0iask4sdvwllka658s22grq"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-anstyle" ,rust-anstyle-1)
+                       ("rust-cargo-metadata" ,rust-cargo-metadata-0.17)
+                       ("rust-clap" ,rust-clap-4))))
+    (home-page "https://github.com/crate-ci/clap-cargo")
+    (synopsis "Re-usable CLI flags for `cargo` plugins")
+    (description
+     "This package provides re-usable CLI flags for `cargo` plugins.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-clap-complete-4
   (package
     (name "rust-clap-complete")
@@ -12937,6 +12782,33 @@ (define-public rust-clap-complete-3
 for programs written with Clap.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-clap-complete-command-0.5
+  (package
+    (name "rust-clap-complete-command")
+    (version "0.5.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "clap_complete_command" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0gcsj6ls8y0jpjp5172gdqwx5zj6gm4wdgrqysglr3d73qvrad0q"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-carapace-spec-clap" ,rust-carapace-spec-clap-0.1)
+                       ("rust-clap" ,rust-clap-4)
+                       ("rust-clap-complete" ,rust-clap-complete-4)
+                       ("rust-clap-complete-fig" ,rust-clap-complete-fig-4)
+                       ("rust-clap-complete-nushell" ,rust-clap-complete-nushell-0.1))
+       #:cargo-development-inputs (("rust-clap" ,rust-clap-4))))
+    (home-page "https://github.com/nihaals/clap-complete-command")
+    (synopsis
+     "Reduces boilerplate for adding a shell completion command to Clap")
+    (description
+     "This package reduces boilerplate for adding a shell completion
+command to Clap.")
+    (license license:expat)))
+
 (define-public rust-clap-complete-fig-3
   (package
     (name "rust-clap-complete-fig")
@@ -12962,6 +12834,126 @@ (define-public rust-clap-complete-fig-3
 with Clap to generate Fig completion scripts.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-clap-complete-fig-4
+  (package
+    (name "rust-clap-complete-fig")
+    (version "4.3.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "clap_complete_fig" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "17yfrdxy555fv56y0n69r4kgd2iwpq4mgz6k5rn5lc2i1b9y3zlr"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-clap" ,rust-clap-4)
+                       ("rust-clap-complete" ,rust-clap-complete-4))
+       #:cargo-development-inputs (("rust-clap" ,rust-clap-4)
+                                   ("rust-snapbox" ,rust-snapbox-0.4))))
+    (home-page "https://github.com/clap-rs/clap/tree/master/clap_complete_fig")
+    (synopsis "Generator library used with clap for Fig completion scripts")
+    (description
+     "This package provides a generator library used with clap for Fig
+completion scripts.")
+    (license (list license:expat license:asl2.0))))
+
+(define-public rust-clap-complete-nushell-0.1
+  (package
+    (name "rust-clap-complete-nushell")
+    (version "0.1.10")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "clap_complete_nushell" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0b15s7d9xpqjr1fpj8lmcv6nhgbhxvm0rzbh3cavv0xawvsl3yn7"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-clap" ,rust-clap-4)
+                       ("rust-clap-complete" ,rust-clap-complete-4))
+       #:cargo-development-inputs (("rust-snapbox" ,rust-snapbox-0.4))))
+    (home-page
+     "https://github.com/clap-rs/clap/tree/master/clap_complete_nushell")
+    (synopsis
+     "Generator library used with clap for Nushell completion scripts")
+    (description
+     "This package provides a generator library used with clap for Nushell
+completion scripts.")
+    (license license:expat)))
+
+(define-public rust-clap-conf-0.1
+  (package
+    (name "rust-clap-conf")
+    (version "0.1.5")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "clap_conf" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1n29wr6ns660hi63mc30zvs7dhidaycw35am9spzknsal3nrs0sn"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-test-flags (list "--release" "--" "--skip=tests::try_holder")
+       #:cargo-inputs (("rust-anyhow" ,rust-anyhow-1)
+                       ("rust-clap" ,rust-clap-2)
+                       ("rust-serde" ,rust-serde-1)
+                       ("rust-thiserror" ,rust-thiserror-1)
+                       ("rust-toml" ,rust-toml-0.5))))
+    (home-page "https://github.com/storyfeet/clap_conf")
+    (synopsis
+     "Library to unify commandline arguments, config files and environment variables")
+    (description
+     "This package provides a library to unify commandline arguments with config
+files and environment variables.  And make it easier for users to tell your program
+how to behave across the three main input sources")
+    (license license:expat)))
+
+(define-public rust-clap-derive-4
+  (package
+    (name "rust-clap-derive")
+    (version "4.5.4")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "clap_derive" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0r2gs2p10pb435w52xzsgz2mmx5qd3qfkmk29y4mbz9ph11k30aj"))))
+    (build-system cargo-build-system)
+    (arguments
+     (list
+      #:cargo-inputs `(("rust-heck" ,rust-heck-0.5)
+                       ("rust-proc-macro2" ,rust-proc-macro2-1)
+                       ("rust-quote" ,rust-quote-1)
+                       ("rust-syn" ,rust-syn-2))))
+    (home-page "https://clap.rs/")
+    (synopsis "Procedural macro crate for Clap")
+    (description "This package provides the procedural macro crate for Clap.")
+    (license (list license:expat license:asl2.0))))
+
+(define-public rust-clap-derive-3
+  (package
+    (inherit rust-clap-derive-4)
+    (name "rust-clap-derive")
+    (version "3.2.25")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "clap_derive" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "025hh66cyjk5xhhq8s1qw5wkxvrm8hnv5xwwksax7dy8pnw72qxf"))))
+    (arguments
+     (list
+      #:cargo-inputs `(("rust-heck" ,rust-heck-0.4)
+                       ("rust-proc-macro-error" ,rust-proc-macro-error-1)
+                       ("rust-proc-macro2" ,rust-proc-macro2-1)
+                       ("rust-quote" ,rust-quote-1)
+                       ("rust-syn" ,rust-syn-1))))))
+
 (define-public rust-clap-lex-0.7
   (package
     (name "rust-clap-lex")