diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 412f7dbceb..7ea09ffcb7 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -532,6 +532,54 @@ (define-public rust-adblock-0.5
         ("rust-sha2" ,rust-sha2-0.9)
         ("rust-tokio" ,rust-tokio-1))))))
 
+(define-public rust-addchain-0.2
+  (package
+    (name "rust-addchain")
+    (version "0.2.0")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "addchain" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "0w45hpybsx9gzhlxf6x9451kycg8xwj3x8qzjnk8wqm55926jbiv"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-num-bigint" ,rust-num-bigint-0.3)
+        ("rust-num-integer" ,rust-num-integer-0.1)
+        ("rust-num-traits" ,rust-num-traits-0.2))))
+    (home-page "https://github.com/str4d/addchain")
+    (synopsis "Generate addition chains")
+    (description "Generate addition chains")
+    (license (list license:expat license:asl2.0))))
+
+(define-public rust-addr-0.14
+  (package
+    (name "rust-addr")
+    (version "0.14.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "addr" version))
+        (file-name (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32
+            "0w6v0wwv203v0lyvwsq27rwfhvmw7dsmrqc9r3gszbx2974wlk65"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:skip-build? #t
+        #:cargo-inputs
+        (("rust-no-std-net" ,rust-no-std-net-0.5)
+         ("rust-psl" ,rust-psl-2)
+         ("rust-psl-types" ,rust-psl-types-2)
+         ("rust-publicsuffix" ,rust-publicsuffix-2)
+         ("rust-serde" ,rust-serde-1))))
+    (home-page "https://github.com/addr-rs/addr")
+    (synopsis "Parsing domain names")
+    (description "This package provides a library for parsing domain names.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-addr2line-0.21
   (package
     (name "rust-addr2line")
@@ -601,54 +649,6 @@ (define-public rust-addr2line-0.19
         ("rust-rustc-test" ,rust-rustc-test-0.3)
         ("rust-typed-arena" ,rust-typed-arena-2))))))
 
-(define-public rust-addchain-0.2
-  (package
-    (name "rust-addchain")
-    (version "0.2.0")
-    (source (origin
-              (method url-fetch)
-              (uri (crate-uri "addchain" version))
-              (file-name (string-append name "-" version ".tar.gz"))
-              (sha256
-               (base32
-                "0w45hpybsx9gzhlxf6x9451kycg8xwj3x8qzjnk8wqm55926jbiv"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs
-       (("rust-num-bigint" ,rust-num-bigint-0.3)
-        ("rust-num-integer" ,rust-num-integer-0.1)
-        ("rust-num-traits" ,rust-num-traits-0.2))))
-    (home-page "https://github.com/str4d/addchain")
-    (synopsis "Generate addition chains")
-    (description "Generate addition chains")
-    (license (list license:expat license:asl2.0))))
-
-(define-public rust-addr-0.14
-  (package
-    (name "rust-addr")
-    (version "0.14.0")
-    (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "addr" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "0w6v0wwv203v0lyvwsq27rwfhvmw7dsmrqc9r3gszbx2974wlk65"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-no-std-net" ,rust-no-std-net-0.5)
-         ("rust-psl" ,rust-psl-2)
-         ("rust-psl-types" ,rust-psl-types-2)
-         ("rust-publicsuffix" ,rust-publicsuffix-2)
-         ("rust-serde" ,rust-serde-1))))
-    (home-page "https://github.com/addr-rs/addr")
-    (synopsis "Parsing domain names")
-    (description "This package provides a library for parsing domain names.")
-    (license (list license:expat license:asl2.0))))
-
 (define-public rust-adler-1
   (package
     (name "rust-adler")