diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index c3ad2fcc61..dddc9a20d6 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -6180,6 +6180,67 @@ (define-public rust-automod-1
     (description "Pull in every source file in a directory as a module.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-av-metrics-0.9
+  (package
+    (name "rust-av-metrics")
+    (version "0.9.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "av-metrics" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0c1m5rrrx88y1hm4i17qh0fd2rqd3jwck86lj5dkw85hpmdyjv4r"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-crossbeam" ,rust-crossbeam-0.8)
+        ("rust-itertools" ,rust-itertools-0.10)
+        ("rust-lab" ,rust-lab-0.11)
+        ("rust-num-traits" ,rust-num-traits-0.2)
+        ("rust-rayon" ,rust-rayon-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-thiserror" ,rust-thiserror-1)
+        ("rust-v-frame" ,rust-v-frame-0.3))
+       #:cargo-development-inputs
+       (("rust-criterion" ,rust-criterion-0.4)
+        ("rust-y4m" ,rust-y4m-0.8))))
+    (home-page "https://github.com/rust-av/av-metrics")
+    (synopsis "Collection of algorithms for measuring audio/video metrics")
+    (description
+     "This package provides a collection of algorithms for measuring
+audio/video metrics.")
+    (license license:expat)))
+
+(define-public rust-av1-grain-0.2
+  (package
+    (name "rust-av1-grain")
+    (version "0.2.3")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "av1-grain" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32 "1gvqdh21bm1cfqiwyiinbqi0mg7x2lg2fwgmphma8ijxijfr0y36"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-anyhow" ,rust-anyhow-1)
+        ("rust-arrayvec" ,rust-arrayvec-0.7)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-nom" ,rust-nom-7)
+        ("rust-num-rational" ,rust-num-rational-0.4)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-v-frame" ,rust-v-frame-0.3))
+       #:cargo-development-inputs
+       (("rust-quickcheck" ,rust-quickcheck-1)
+        ("rust-quickcheck-macros" ,rust-quickcheck-macros-1))))
+    (home-page "https://github.com/rust-av/av1-grain")
+    (synopsis "Helpers for generating and parsing AV1 film grain data")
+    (description "This package procides helpers for generating and parsing AV1
+film grain data.")
+    (license license:bsd-2)))
+
 (define-public rust-average-0.13
   (package
     (name "rust-average")
@@ -6262,67 +6323,6 @@ (define-public rust-average-0.10
 in Rust.")
     (license (list license:asl2.0 license:expat))))
 
-(define-public rust-av-metrics-0.9
-  (package
-    (name "rust-av-metrics")
-    (version "0.9.1")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "av-metrics" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "0c1m5rrrx88y1hm4i17qh0fd2rqd3jwck86lj5dkw85hpmdyjv4r"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs
-       (("rust-crossbeam" ,rust-crossbeam-0.8)
-        ("rust-itertools" ,rust-itertools-0.10)
-        ("rust-lab" ,rust-lab-0.11)
-        ("rust-num-traits" ,rust-num-traits-0.2)
-        ("rust-rayon" ,rust-rayon-1)
-        ("rust-serde" ,rust-serde-1)
-        ("rust-thiserror" ,rust-thiserror-1)
-        ("rust-v-frame" ,rust-v-frame-0.3))
-       #:cargo-development-inputs
-       (("rust-criterion" ,rust-criterion-0.4)
-        ("rust-y4m" ,rust-y4m-0.8))))
-    (home-page "https://github.com/rust-av/av-metrics")
-    (synopsis "Collection of algorithms for measuring audio/video metrics")
-    (description
-     "This package provides a collection of algorithms for measuring
-audio/video metrics.")
-    (license license:expat)))
-
-(define-public rust-av1-grain-0.2
-  (package
-    (name "rust-av1-grain")
-    (version "0.2.3")
-    (source (origin
-              (method url-fetch)
-              (uri (crate-uri "av1-grain" version))
-              (file-name (string-append name "-" version ".tar.gz"))
-              (sha256
-               (base32 "1gvqdh21bm1cfqiwyiinbqi0mg7x2lg2fwgmphma8ijxijfr0y36"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs
-       (("rust-anyhow" ,rust-anyhow-1)
-        ("rust-arrayvec" ,rust-arrayvec-0.7)
-        ("rust-log" ,rust-log-0.4)
-        ("rust-nom" ,rust-nom-7)
-        ("rust-num-rational" ,rust-num-rational-0.4)
-        ("rust-serde" ,rust-serde-1)
-        ("rust-v-frame" ,rust-v-frame-0.3))
-       #:cargo-development-inputs
-       (("rust-quickcheck" ,rust-quickcheck-1)
-        ("rust-quickcheck-macros" ,rust-quickcheck-macros-1))))
-    (home-page "https://github.com/rust-av/av1-grain")
-    (synopsis "Helpers for generating and parsing AV1 film grain data")
-    (description "This package procides helpers for generating and parsing AV1
-film grain data.")
-    (license license:bsd-2)))
-
 (define-public rust-average-0.9
   (package
     (inherit rust-average-0.10)