diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index a44221572f..f3259d2b32 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -4109,61 +4109,53 @@ (define-public rust-asio-sys-0.2
      "Low-level interface and binding generation for the Steinberg ASIO SDK.")
     (license license:asl2.0)))
 
-(define-public rust-askama-escape-0.10
+(define-public rust-askama-0.12
   (package
-    (name "rust-askama-escape")
-    (version "0.10.3")
+    (name "rust-askama")
+    (version "0.12.1")
     (source
      (origin
        (method url-fetch)
-       (uri (crate-uri "askama_escape" version))
+       (uri (crate-uri "askama" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "0hg3rz0cma5f6385z7qmqw3jbir76jndwd5s7dqfk92v9gil75v1"))))
+        (base32 "0a1cmp0f1b01zzbzzp81ppa6r754zpax5372aykswz5933gr345p"))))
     (build-system cargo-build-system)
-    (arguments (list #:skip-build? #t))
+    (arguments
+     `(#:cargo-inputs (("rust-askama-derive" ,rust-askama-derive-0.12)
+                       ("rust-askama-escape" ,rust-askama-escape-0.10)
+                       ("rust-comrak" ,rust-comrak-0.18)
+                       ("rust-humansize" ,rust-humansize-2)
+                       ("rust-num-traits" ,rust-num-traits-0.2)
+                       ("rust-percent-encoding" ,rust-percent-encoding-2)
+                       ("rust-serde" ,rust-serde-1)
+                       ("rust-serde-json" ,rust-serde-json-1)
+                       ("rust-serde-yaml" ,rust-serde-yaml-0.9))))
     (home-page "https://github.com/djc/askama")
-    (synopsis "HTML escaping extracted from Askama")
+    (synopsis "Type-safe, compiled Jinja-like templates for Rust")
     (description
-     "This package provides an optimized HTML escaping library,
-extracted from Askama.")
+     "This package provides a type-safe, compiled Jinja-like template
+library for Rust.")
     (license (list license:expat license:asl2.0))))
 
-(define-public rust-askama-shared-0.12
+(define-public rust-askama-0.11
   (package
-    (name "rust-askama-shared")
-    (version "0.12.2")
-    (source (origin
-              (method url-fetch)
-              (uri (crate-uri "askama_shared" version))
-              (file-name (string-append name "-" version ".tar.gz"))
-              (sha256
-               (base32
-                "1l4fycmw65zyvfabf672sj2pc0ilfcj0y6a0csygq1wa26a2nwmz"))))
-    (build-system cargo-build-system)
+    (inherit rust-askama-0.12)
+    (name "rust-askama")
+    (version "0.11.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "askama" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0f81mzccdadryzaf2dbad1araq4nadp9mssyvdvv31hj6w7z367v"))))
     (arguments
      (list #:skip-build? #t
            #:cargo-inputs
-           `(("rust-askama-escape" ,rust-askama-escape-0.10)
-             ("rust-comrak" ,rust-comrak-0.12)
-             ("rust-humansize" ,rust-humansize-1)
-             ("rust-mime" ,rust-mime-0.3)
-             ("rust-mime-guess" ,rust-mime-guess-2)
-             ("rust-nom" ,rust-nom-7)
-             ("rust-num-traits" ,rust-num-traits-0.2)
-             ("rust-percent-encoding"
-              ,rust-percent-encoding-2)
-             ("rust-proc-macro2" ,rust-proc-macro2-1)
-             ("rust-quote" ,rust-quote-1)
-             ("rust-serde" ,rust-serde-1)
-             ("rust-serde-json" ,rust-serde-json-1)
-             ("rust-serde-yaml" ,rust-serde-yaml-0.8)
-             ("rust-syn" ,rust-syn-1)
-             ("rust-toml" ,rust-toml-0.5))))
-    (home-page "https://github.com/djc/askama")
-    (synopsis "Shared code for Askama")
-    (description "This package provides shared code for Askama.")
-    (license (list license:expat license:asl2.0))))
+           `(("rust-askama-derive" ,rust-askama-derive-0.11)
+             ("rust-askama-escape" ,rust-askama-escape-0.10)
+             ("rust-askama-shared" ,rust-askama-shared-0.12))))))
 
 (define-public rust-askama-derive-0.12
   (package
@@ -4211,6 +4203,27 @@ (define-public rust-askama-derive-0.11
              ("rust-proc-macro2" ,rust-proc-macro2-1)
              ("rust-syn" ,rust-syn-1))))))
 
+(define-public rust-askama-escape-0.10
+  (package
+    (name "rust-askama-escape")
+    (version "0.10.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "askama_escape" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0hg3rz0cma5f6385z7qmqw3jbir76jndwd5s7dqfk92v9gil75v1"))))
+    (build-system cargo-build-system)
+    (arguments
+     (list
+      #:skip-build? #t))
+    (home-page "https://github.com/djc/askama")
+    (synopsis "HTML escaping extracted from Askama")
+    (description "This package provides an optimized HTML escaping library,
+extracted from Askama.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-askama-parser-0.2
   (package
     (name "rust-askama-parser")
@@ -4230,54 +4243,41 @@ (define-public rust-askama-parser-0.2
     (description "Parser for Askama templates.")
     (license (list license:expat license:asl2.0))))
 
-(define-public rust-askama-0.12
+(define-public rust-askama-shared-0.12
   (package
-    (name "rust-askama")
-    (version "0.12.1")
+    (name "rust-askama-shared")
+    (version "0.12.2")
     (source
      (origin
        (method url-fetch)
-       (uri (crate-uri "askama" version))
+       (uri (crate-uri "askama_shared" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "0a1cmp0f1b01zzbzzp81ppa6r754zpax5372aykswz5933gr345p"))))
+        (base32 "1l4fycmw65zyvfabf672sj2pc0ilfcj0y6a0csygq1wa26a2nwmz"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:cargo-inputs (("rust-askama-derive" ,rust-askama-derive-0.12)
-                       ("rust-askama-escape" ,rust-askama-escape-0.10)
-                       ("rust-comrak" ,rust-comrak-0.18)
-                       ("rust-humansize" ,rust-humansize-2)
+     (list
+      #:skip-build? #t
+      #:cargo-inputs `(("rust-askama-escape" ,rust-askama-escape-0.10)
+                       ("rust-comrak" ,rust-comrak-0.12)
+                       ("rust-humansize" ,rust-humansize-1)
+                       ("rust-mime" ,rust-mime-0.3)
+                       ("rust-mime-guess" ,rust-mime-guess-2)
+                       ("rust-nom" ,rust-nom-7)
                        ("rust-num-traits" ,rust-num-traits-0.2)
                        ("rust-percent-encoding" ,rust-percent-encoding-2)
+                       ("rust-proc-macro2" ,rust-proc-macro2-1)
+                       ("rust-quote" ,rust-quote-1)
                        ("rust-serde" ,rust-serde-1)
                        ("rust-serde-json" ,rust-serde-json-1)
-                       ("rust-serde-yaml" ,rust-serde-yaml-0.9))))
+                       ("rust-serde-yaml" ,rust-serde-yaml-0.8)
+                       ("rust-syn" ,rust-syn-1)
+                       ("rust-toml" ,rust-toml-0.5))))
     (home-page "https://github.com/djc/askama")
-    (synopsis "Type-safe, compiled Jinja-like templates for Rust")
-    (description
-     "This package provides a type-safe, compiled Jinja-like template
-library for Rust.")
+    (synopsis "Shared code for Askama")
+    (description "This package provides shared code for Askama.")
     (license (list license:expat license:asl2.0))))
 
-(define-public rust-askama-0.11
-  (package
-    (inherit rust-askama-0.12)
-    (name "rust-askama")
-    (version "0.11.1")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "askama" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "0f81mzccdadryzaf2dbad1araq4nadp9mssyvdvv31hj6w7z367v"))))
-    (arguments
-     (list #:skip-build? #t
-           #:cargo-inputs
-           `(("rust-askama-derive" ,rust-askama-derive-0.11)
-             ("rust-askama-escape" ,rust-askama-escape-0.10)
-             ("rust-askama-shared" ,rust-askama-shared-0.12))))))
-
 (define-public rust-assert-0.7
   (package
     (name "rust-assert")