diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index f30858efcb..a44221572f 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -3919,6 +3919,64 @@ (define-public rust-as-derive-utils-0.8
         ("rust-serde-derive" ,rust-serde-derive-1)
         ("rust-syn" ,rust-syn-1))))))
 
+(define-public rust-as-raw-xcb-connection-1
+  (package
+    (name "rust-as-raw-xcb-connection")
+    (version "1.0.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "as-raw-xcb-connection" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1am99fbsp5f5vnbvr0qnjma36q49c9zvdbn0czwwvian18mk2prd"))))
+    (build-system cargo-build-system)
+    (home-page "https://github.com/psychon/as-raw-xcb-connection")
+    (synopsis "Trait to facilitate interoperatibility with libxcb C API")
+    (description "This package provides trait to facilitate interoperatibility
+with @code{libxcb} C API.")
+    (license (list license:expat license:asl2.0))))
+
+(define-public rust-as-slice-0.2
+  (package
+    (name "rust-as-slice")
+    (version "0.2.1")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "as-slice" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "05j52y1ws8kir5zjxnl48ann0if79sb56p9nm76hvma01r7nnssi"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-stable-deref-trait" ,rust-stable-deref-trait-1))))
+    (home-page "https://github.com/japaric/as-slice")
+    (synopsis "AsSlice and AsMutSlice traits")
+    (description "This package provides @code{AsSlice} and @code{AsMutSlice}
+traits.")
+    (license (list license:expat license:asl2.0))))
+
+(define-public rust-as-slice-0.1
+  (package
+    (inherit rust-as-slice-0.2)
+    (name "rust-as-slice")
+    (version "0.1.5")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "as-slice" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1q3a9494ikaq38zjg5px5gwwrbdgnyj23b505224njlmwd4knh25"))))
+    (arguments
+     `(#:cargo-inputs
+       (("rust-generic-array-0.14" ,rust-generic-array-0.14)
+        ("rust-generic-array-0.13" ,rust-generic-array-0.13)
+        ("rust-generic-array-0.12" ,rust-generic-array-0.12)
+        ("rust-stable-deref-trait" ,rust-stable-deref-trait-1))))))
+
 (define-public rust-as-variant-1
   (package
     (name "rust-as-variant")
@@ -3938,6 +3996,92 @@ (define-public rust-as-variant-1
 variants to `Option`s.")
     (license license:mpl2.0)))
 
+(define-public rust-ascii-1
+  (package
+    (name "rust-ascii")
+    (version "1.1.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "ascii" version))
+        (file-name
+         (string-append name "-" version ".tar.gz"))
+        (sha256
+         (base32 "05nyyp39x4wzc1959kv7ckwqpkdzjd9dw4slzyjh73qbhjcfqayr"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-serde" ,rust-serde-1)
+        ("rust-serde-test" ,rust-serde-test-1))))
+    (home-page "https://github.com/tomprogrammer/rust-ascii")
+    (synopsis "ASCII-only equivalents to `char`, `str` and `String`")
+    (description
+     "A rust library that provides ASCII-only string and character types,
+equivalent to the @code{char}, @code{str} and @code{String} types in the
+standard library.")
+    (license (list license:asl2.0 license:expat))))
+
+(define-public rust-ascii-0.9
+  (package
+    (inherit rust-ascii-1)
+    (name "rust-ascii")
+    (version "0.9.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ascii" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0km3zzkhrr22drf9p1zcblqirlxkdc7zra25acpi0h8qax5c1cga"))))
+    (arguments
+     `(#:tests? #f      ; Not all tests build.
+       #:cargo-inputs
+       (("rust-quickcheck" ,rust-quickcheck-0.6)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-test" ,rust-serde-test-1))))))
+
+(define-public rust-ascii-0.8
+  (package
+    (inherit rust-ascii-1)
+    (name "rust-ascii")
+    (version "0.8.7")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ascii" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "051gh2bgjq90s0f0i0hd9p4z4fpg5k82b570d1223jj7rhd8kglp"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-test-flags
+       '("--release" "--"
+         "--skip=src/ascii_char.rs - ascii_char::AsciiChar::from (line 296)"
+         "--skip=src/ascii_string.rs - ascii_string::AsciiString::pop (line 259)")
+       #:cargo-inputs
+       (("rust-quickcheck" ,rust-quickcheck-0.4))))))
+
+(define-public rust-ascii-utils-0.9
+  (package
+    (name "rust-ascii-utils")
+    (version "0.9.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ascii_utils" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0jpp550pwi38msflpy7lnqm2r153kn9k19bss6k9ak9yacq8z4vi"))))
+    (build-system cargo-build-system)
+    (home-page "https://github.com/tredoe/ascii_utils")
+    (synopsis "Utilities to handle ASCII characters")
+    (description
+     "This library provides utilities to handle ASCII characters.")
+    (license license:mpl2.0)))
+
 (define-public rust-asio-sys-0.2
   (package
     (name "rust-asio-sys")
@@ -4134,150 +4278,6 @@ (define-public rust-askama-0.11
              ("rust-askama-escape" ,rust-askama-escape-0.10)
              ("rust-askama-shared" ,rust-askama-shared-0.12))))))
 
-(define-public rust-as-raw-xcb-connection-1
-  (package
-    (name "rust-as-raw-xcb-connection")
-    (version "1.0.0")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "as-raw-xcb-connection" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "1am99fbsp5f5vnbvr0qnjma36q49c9zvdbn0czwwvian18mk2prd"))))
-    (build-system cargo-build-system)
-    (home-page "https://github.com/psychon/as-raw-xcb-connection")
-    (synopsis "Trait to facilitate interoperatibility with libxcb C API")
-    (description "This package provides trait to facilitate interoperatibility
-with @code{libxcb} C API.")
-    (license (list license:expat license:asl2.0))))
-
-(define-public rust-as-slice-0.2
-  (package
-    (name "rust-as-slice")
-    (version "0.2.1")
-    (source (origin
-              (method url-fetch)
-              (uri (crate-uri "as-slice" version))
-              (file-name (string-append name "-" version ".tar.gz"))
-              (sha256
-               (base32
-                "05j52y1ws8kir5zjxnl48ann0if79sb56p9nm76hvma01r7nnssi"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs (("rust-stable-deref-trait" ,rust-stable-deref-trait-1))))
-    (home-page "https://github.com/japaric/as-slice")
-    (synopsis "AsSlice and AsMutSlice traits")
-    (description "This package provides @code{AsSlice} and @code{AsMutSlice}
-traits.")
-    (license (list license:expat license:asl2.0))))
-
-(define-public rust-as-slice-0.1
-  (package
-    (inherit rust-as-slice-0.2)
-    (name "rust-as-slice")
-    (version "0.1.5")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "as-slice" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32
-         "1q3a9494ikaq38zjg5px5gwwrbdgnyj23b505224njlmwd4knh25"))))
-    (arguments
-     `(#:cargo-inputs
-       (("rust-generic-array-0.14" ,rust-generic-array-0.14)
-        ("rust-generic-array-0.13" ,rust-generic-array-0.13)
-        ("rust-generic-array-0.12" ,rust-generic-array-0.12)
-        ("rust-stable-deref-trait" ,rust-stable-deref-trait-1))))))
-
-(define-public rust-ascii-1
-  (package
-    (name "rust-ascii")
-    (version "1.1.0")
-    (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "ascii" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32 "05nyyp39x4wzc1959kv7ckwqpkdzjd9dw4slzyjh73qbhjcfqayr"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:skip-build? #t
-       #:cargo-inputs
-       (("rust-serde" ,rust-serde-1)
-        ("rust-serde-test" ,rust-serde-test-1))))
-    (home-page "https://github.com/tomprogrammer/rust-ascii")
-    (synopsis "ASCII-only equivalents to `char`, `str` and `String`")
-    (description
-     "A rust library that provides ASCII-only string and character types,
-equivalent to the @code{char}, @code{str} and @code{String} types in the
-standard library.")
-    (license (list license:asl2.0 license:expat))))
-
-(define-public rust-ascii-0.9
-  (package
-    (inherit rust-ascii-1)
-    (name "rust-ascii")
-    (version "0.9.3")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "ascii" version))
-       (file-name
-        (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32
-         "0km3zzkhrr22drf9p1zcblqirlxkdc7zra25acpi0h8qax5c1cga"))))
-    (arguments
-     `(#:tests? #f      ; Not all tests build.
-       #:cargo-inputs
-       (("rust-quickcheck" ,rust-quickcheck-0.6)
-        ("rust-serde" ,rust-serde-1)
-        ("rust-serde-test" ,rust-serde-test-1))))))
-
-(define-public rust-ascii-0.8
-  (package
-    (inherit rust-ascii-1)
-    (name "rust-ascii")
-    (version "0.8.7")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "ascii" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "051gh2bgjq90s0f0i0hd9p4z4fpg5k82b570d1223jj7rhd8kglp"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-test-flags
-       '("--release" "--"
-         "--skip=src/ascii_char.rs - ascii_char::AsciiChar::from (line 296)"
-         "--skip=src/ascii_string.rs - ascii_string::AsciiString::pop (line 259)")
-       #:cargo-inputs
-       (("rust-quickcheck" ,rust-quickcheck-0.4))))))
-
-(define-public rust-ascii-utils-0.9
-  (package
-    (name "rust-ascii-utils")
-    (version "0.9.3")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "ascii_utils" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "0jpp550pwi38msflpy7lnqm2r153kn9k19bss6k9ak9yacq8z4vi"))))
-    (build-system cargo-build-system)
-    (home-page "https://github.com/tredoe/ascii_utils")
-    (synopsis "Utilities to handle ASCII characters")
-    (description
-     "This library provides utilities to handle ASCII characters.")
-    (license license:mpl2.0)))
-
 (define-public rust-assert-0.7
   (package
     (name "rust-assert")